import { Component, Input } from '@angular/core';
import { PaymentStatus } from '@core/typings/status.typing';
import { AddressRequestsService } from '@features/platform-admin/address-requests/address-requests.service';
import { AddressRequestStatus } from '@features/platform-admin/address-requests/address-requests.typing';

@Component({
  selector: 'gc-address-request-status-display',
  templateUrl: './address-request-status-display.component.html',
  styleUrls: ['./address-request-status-display.component.scss']
})
export class AddressRequestStatusDisplayComponent {
  @Input() hasAddressRequest: boolean;
  @Input() addressRequestStatus: AddressRequestStatus;
  @Input() textOnly = false;
  @Input() iconOnly = false;
  @Input() isInternational = false;
  @Input() isClientProcessed = false;
  @Input() paymentStatus: PaymentStatus;

  addressRequestStatusMap = this.addressRequestService.getAddressRequestsStatusMap(false);
  AddressRequestStatus = AddressRequestStatus;
  PaymentStatuses = PaymentStatus;

  constructor (
    private addressRequestService: AddressRequestsService
  ) { }
}
