import { Component, Input } from '@angular/core';
import { I18nService } from '@yourcause/common/i18n';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-copy-link-modal',
  templateUrl: './copy-link-modal.component.html',
  styleUrls: ['./copy-link-modal.component.scss']
})
export class CopyLinkModalComponent extends YCModalComponent<void> {
  @Input() modalHeader = this.i18n.translate(
    'GLOBAL.COPY_LINK',
    {},
    'Copy Link'
  );
  @Input() modalSubHeader: string;
  @Input() route: string;
  @Input() internalLinkDescription = this.i18n.translate(
    'PROGRAM:textInternalProgramLinkDesc',
    {},
    'Provide this link to users who will be signing in via SSO, such as employees of your company.'
  );
  @Input() externalLinkDescription = this.i18n.translate(
    'PROGRAM:textExternalProgramLinkDescription',
    {},
    'Provide this link to users who will be applying externally, such as nonprofits.'
  );

  constructor (
    private i18n: I18nService
  ) {
    super();
  }
}
