import { Component } from '@angular/core';
import { SpinnerService } from '@core/services/spinner.service';
import { environment } from '@environment';

@Component({
  selector: 'gc-sso-logout',
  templateUrl: './sso-logout.component.html',
  styleUrls: ['./sso-logout.component.scss']
})

export class SSOLogoutComponent {
  prefix: string;
  constructor (
    spinnerService: SpinnerService
  ) {
    spinnerService.startSpinner();
    const config = location.search.slice(1).split('&').reduce((acc, key) => ({
      ...acc,
      [key.split('=')[0]]: key.split('=')[1]
    }), {} as { prefix: string });
    this.prefix = config.prefix;
    if (config.prefix && environment.supportsSubdomains && !location.hostname.includes(config.prefix)) {
      location.hostname = `${config.prefix}.${environment.locationBase}`;
    } else {
      spinnerService.stopSpinner();
    }
  }
  closeTab () {
    window.close();
  }
}
