import { Component, OnInit } from '@angular/core';
import { I18nService } from '@yourcause/common/i18n';
import { YCModalComponent } from '@yourcause/common/modals';


@Component({
  selector: 'gc-export-translations-modal',
  templateUrl: './export-translations-modal.component.html',
  styleUrls: ['./export-translations-modal.component.scss']
})

export class ExportTranslationsModalComponent extends YCModalComponent<boolean> implements OnInit {
  confirmText: string;
  alertText = '';

  constructor (
    private i18n: I18nService
  ) {
    super();
  }

  ngOnInit () {
    this.confirmText = this.i18n.translate(
      'FORMS:textAreYouSureExportTranslationsDesc',
      {},
      'Are you sure you want to export the translations? All filters applied will persist to the exported file.'
    );
    this.alertText = this.i18n.translate(
      'FORMS:textExportTranslationsWarningDesc',
      {},
      'Due to constraints with Excel for Macs, please use another software such as Google Sheets or Numbers to open this file. If you are experiencing any other issues, please ensure your encoding is set to UTF-8.'
    );
  }

  onCancel () {
    this.closeModal.emit();
  }

  onSubmit () {
    this.closeModal.emit(true);
  }
}
