import { Injectable } from '@angular/core';
import { CanDeactivate } from '@angular/router';
import { Observable } from 'rxjs';

export interface CanDeactivateComponent {
  canDeactivate: () => Promise<boolean> | Observable<boolean> | boolean;
}
@Injectable({ providedIn: 'root' })
export class ConfirmNavigationGuard implements CanDeactivate<CanDeactivateComponent> {

  canDeactivate (component: CanDeactivateComponent) {
    return component.canDeactivate ? component.canDeactivate() : true;
  }
}
