import { Injectable } from '@angular/core';
import { CurrencyService } from '@core/services/currency.service';
import { SimpleStringMap } from '@yourcause/common';
import { CurrencyFormattingObj } from '@yourcause/common/masking';
import { MockAngularProvider } from '@yourcause/test-decorators/angular/helpers';

@Injectable({ providedIn: 'root' })
export class CurrencyServiceMock extends CurrencyService {

  get precisionMap (): SimpleStringMap<number> {
    return {
      USD: 2
    };
  }

  get formattingData (): SimpleStringMap<CurrencyFormattingObj> {
    return {
      USD: {
        symbol: 'USD',
        precision: 2,
        thousand: ',',
        decimal: '.'
      }
    };
  }

  formatMoney (
    amount: number,
    currency = 'USD',
    showCurrencyAtEnd = false
  ): string {
    return `$${amount}`;
  }
}

export const CURRENCY_SERVICE_MOCK = MockAngularProvider(
  CurrencyServiceMock,
  CurrencyService
);
