import { NgModule } from '@angular/core';
import { DebugService } from '@core/services/debug.service';
import { HttpRestService } from '@core/services/http-rest.service';
import { PortalDeterminationService } from '@core/services/portal-determination.service';
import { PortalDeterminationServiceMock } from '@core/services/portal-determination.service.mock';
import { TokenService } from '@core/services/token/token.service';
import { MockTokenService } from '@core/services/token/token.service.mock';
import { I18nService } from '@yourcause/common/i18n';
import { ModalFactory } from '@yourcause/common/modals';
import { MockI18nService, MockModalFactoryService, MockModule } from '@yourcause/common/testing';
import { MockHttpRestService } from './http-rest.service.mock';
import { JS_ZIP_SERVICE_MOCK } from './js-zip.service.mock';
import { LOG_SERVICE_MOCK } from './log.service.mock';

@NgModule({
  imports: [MockModule],
  providers: [
    {
      provide: ModalFactory,
      useClass: MockModalFactoryService
    },
    {
      provide: PortalDeterminationService,
      useClass: PortalDeterminationServiceMock
    }, {
      provide: I18nService,
      useClass: MockI18nService
    }, {
      provide: HttpRestService,
      useClass: MockHttpRestService
    }, {
      provide: TokenService,
      useClass: MockTokenService
    }, {
      provide: DebugService,
      useValue: { }
    },
    LOG_SERVICE_MOCK,
    JS_ZIP_SERVICE_MOCK
  ],
  exports: [MockModule]
})
export class GCMockModule {

}
