import { Injectable } from '@angular/core';
import { JsZipService } from '@core/services/js-zip.service';
import { MockAngularProvider } from '@yourcause/test-decorators/angular/helpers';
import JSZip from 'jszip';

@Injectable({ providedIn: 'root' })
export class JsZipServiceMock extends JsZipService {

  createZip (): JSZip {
    return {
      file: () => {},
      folder: () => {
        return {} as JSZip;
      }
    } as any;
  }

  addFolder (): JSZip {
    return {
      file: () => {},
      folder: () => {
        return {} as JSZip;
      }
    } as any;
  }

  addFile () {
    return;
  }

  async generateAsync () {
    return new Blob();
  }
}

export const JS_ZIP_SERVICE_MOCK = MockAngularProvider(JsZipServiceMock, JsZipService);
