import { Injectable } from '@angular/core';
import { AdminUserPermissions } from '@core/typings/user.typing';
import { UserService } from '@features/users/user.service';
import { MockAngularProvider } from '@yourcause/test-decorators/angular/helpers';


@Injectable({ providedIn: 'root' })
export class UserServiceMock extends UserService {
  get userKey (): 'user'|'applicant'|'admin' {
    return 'admin';
  }

  get adminPermissions (): number[] {
    return [
      AdminUserPermissions.CreateOrEditClient,
      AdminUserPermissions.ViewApplicants,
      AdminUserPermissions.ViewGrantManagers,
      AdminUserPermissions.ViewEmailLogs,
      AdminUserPermissions.Import,
      AdminUserPermissions.CreatePasswordResetToken,
      AdminUserPermissions.ViewUsers,
      AdminUserPermissions.EditGrantManagers,
      AdminUserPermissions.EditApplicants,
      AdminUserPermissions.CanImpersonate,
      AdminUserPermissions.CanAccessAllClientZones,
      AdminUserPermissions.ViewClient,
      AdminUserPermissions.CanManageSpecialHandling
    ];
  }
}

export const USER_SERVICE_MOCK = MockAngularProvider(
  UserServiceMock,
  UserService
);
