import { Pipe, PipeTransform } from '@angular/core';
import { StatusService } from '@core/services/status.service';
import { ApplicantFormForUI, PortalFormAvailabilityInfo } from '@core/typings/application.typing';

@Pipe({
  name: 'gcApplicationViewFormStatus'
})
export class ApplicationViewFormStatusPipe implements PipeTransform {
  constructor (
    private statusService: StatusService
  ) {}

  transform (form: ApplicantFormForUI, portalAvailability: PortalFormAvailabilityInfo) {
    return this.statusService.getDynamicStatusStringForListView(form, portalAvailability);
  }
}
