import { Pipe, PipeTransform } from '@angular/core';
import { ApplicationActionService } from '@features/application-manager/services/application-actions/application-actions.service';
import { ApplicationForUi, ApplicationFromPaginated } from '../typings/application.typing';
import { WorkflowManagerActions } from '../typings/workflow.typing';

@Pipe({
  name: 'gcCanTakeAction'
})
export class CanTakeActionPipe implements PipeTransform {
  constructor (
    private applicationActionService: ApplicationActionService
  ) { }

  transform (
    app: ApplicationFromPaginated|ApplicationForUi,
    action: WorkflowManagerActions
  ) {
    return this.applicationActionService.canTakeAction(app, action);
  }
}
