import { Pipe, PipeTransform } from '@angular/core';
import { ApplicationAttachmentService } from '@features/application-view/application-attachments/application-attachments.service';

/**
 * This will return the subject text of an external email that is associated
 * with a given file upload and application
 */
@Pipe({name: 'gcCommSubjectFromFileUpload'})
export class CommSubjectFromFileUploadPipe implements PipeTransform {

  constructor (
    private appAttachmentService: ApplicationAttachmentService
  ) {}

  async transform (
    fileUploadId: number,
    appId: number
    ): Promise<string> {
    const matchingCommRecord = await this.appAttachmentService.getMatchingCommRecordForAttachment(
      fileUploadId,
      appId
    );

    return matchingCommRecord ? matchingCommRecord.subject : null;
  }
}
