import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldAPI } from '@core/typings/api/reference-fields.typing';
import { ReferenceFieldsService } from '@features/reference-fields/services/reference-fields.service';

@Pipe({
  name: 'gcDataSetCollectionData'
})
export class DataSetCollectionDataPipe implements PipeTransform {
  constructor (
    private referenceFieldsService: ReferenceFieldsService
  ) { }

  transform (data: number, collectionType: ReferenceFieldAPI.DataSetCollectionType) {
    let returnVal: number|string|boolean;
    switch (collectionType) {
      case ReferenceFieldAPI.DataSetCollectionType.Number:
        returnVal = data ?? 0;
        break;
      case ReferenceFieldAPI.DataSetCollectionType.Percent:
        returnVal = (data ?? 0) + '%';
        break;
      default:
      case ReferenceFieldAPI.DataSetCollectionType.YesOrNo:
        returnVal = this.referenceFieldsService.convertNumberToCheckboxValue(data);
        break;
    }

    return returnVal;
  }
}
