import { Pipe, PipeTransform } from '@angular/core';
import { EmailService } from '@features/system-emails/email.service';
import { EmailNotificationType } from '@features/system-emails/email.typing';

@Pipe({
  name: 'ycEmailNameFromTemplateId'
})
export class EmailNameFromTemplateIdPipe implements PipeTransform {
  constructor (
    private emailService: EmailService
  ) { }

  transform (
    clientEmailTemplateId: number,
    emailType: EmailNotificationType,
    isSubject = false
  ) {
    const emailFromService = this.emailService.templateMap[emailType];
    const copy = emailFromService.clientTemplates.find((temp) => {
      return temp.id === clientEmailTemplateId;
    });

    return isSubject ? copy.subject :copy.name;
  }
}
