import { Pipe, PipeTransform } from '@angular/core';
import { ApplicationStatuses } from '@core/typings/status.typing';
import { ApplicationFormService } from '@features/application-forms/services/application-forms.service';
import { FormAudience, FormStatuses } from '@features/configure-forms/form.typing';

@Pipe({
  name: 'gcFormsPassRevisionRequestCriteria'
})
export class FormsPassRevisionRequestCriteriaPipe implements PipeTransform {
  constructor (
    private applicationFormService: ApplicationFormService
  ) { }

  transform (
    formAudience: FormAudience,
    applicationStatus: ApplicationStatuses,
    applicationFormStatus: FormStatuses,
    isResend = false
  ) {
    return this.applicationFormService.checkRevisionRequestCriteria(
      formAudience,
      applicationStatus,
      applicationFormStatus,
      isResend
    );
  }
}
