import { Pipe, PipeTransform } from '@angular/core';
import { NonprofitService } from '@features/nonprofit/nonprofit.service';

@Pipe({
  name: 'gcGetOrgTabText'
})
export class OrgTabTextPipe implements PipeTransform {

  constructor (
    private nonprofitService: NonprofitService
  ) { }

  transform (
    numberOfResults: number,
    hasSearchTerm: boolean,
    isClientOrgs = false,
    isFavoriteOrgs = false
  ) {
    return this.nonprofitService.getOrgSearchTabText(
      window.innerWidth < 490,
      numberOfResults,
      hasSearchTerm,
      isClientOrgs,
      isFavoriteOrgs
    );
  }
}
