import { Pipe, PipeTransform } from '@angular/core';
import { AddressFormatterService, SimpleGrantsAddress } from '@yourcause/common';

@Pipe({
  name: 'gcAddress'
})
export class GrantsAddressPipe implements PipeTransform {

  constructor (
    private formatter: AddressFormatterService
  ) { }

  transform (address: SimpleGrantsAddress, skipBreak = false): string {
    if (address && this.hasData(address)) {
      if (skipBreak) {
        return this.formatter.formatSimpleGrantsAddressToSingleLine(address);
      } else {
        return this.formatter.formatSimpleGrantsAddressWithBreaks(address);
      }
    }

    return '';
  }

  hasData (address: SimpleGrantsAddress) {
    return address.address ||
      address.city ||
      address.state ||
      address.postalCode ||
      address.country;
  }

}
