import { Pipe, PipeTransform } from '@angular/core';
import { TimeZoneService } from '@core/services/time-zone.service';

  @Pipe({
    name: 'ycTimeInTimeZone'
  })
  export class TimeInTimeZonePipe implements PipeTransform {
    constructor (
      private timezoneService: TimeZoneService
    ) { }

    transform (
      date: string,
      timezoneId = 'UTC',
      useClientDefaultTimezone = false,
      format = 'll'
    ) {
      return this.timezoneService.displayFormattedTimeInTimezone(
        date,
        timezoneId,
        useClientDefaultTimezone,
        format
      );
    }
  }
