import { Pipe, PipeTransform } from '@angular/core';
import { CurrencyService } from '@core/services/currency.service';
import { ClientSettingsService } from '@features/client-settings/client-settings.service';

@Pipe({
  name: 'gcUnitsToDollars'
})
export class UnitsToDollarsPipe implements PipeTransform {

  constructor (
    private currencyService: CurrencyService,
    private clientSettingsService: ClientSettingsService
  ) {}

  transform (
    units: number,
    unitCost: number,
    showCurrencyAtEnd = false
  ) {
    const total: number = +units * +unitCost;

    return this.currencyService.formatMoney(total) +
      (showCurrencyAtEnd ?
        ` ${this.clientSettingsService.defaultCurrency}` :
        '');
  }
}
