import { Pipe, PipeTransform } from '@angular/core';
import { OrganizationEligibleForGivingStatus } from '@yourcause/common';

@Pipe({ name: 'gcVettingRequestAlertClass' })
export class VettingRequestAlertClassPipe implements PipeTransform {

  transform (eligibleforGivingStatus: OrganizationEligibleForGivingStatus, includeText = false): string {
    let returnText: string;
    switch (eligibleforGivingStatus) {
      default:
      case OrganizationEligibleForGivingStatus.UNKNOWN:
      case OrganizationEligibleForGivingStatus.INELIGBLE:
        returnText = includeText ? 'text-danger' : 'danger';
        break;
      case OrganizationEligibleForGivingStatus.INFO_REQUIRED:
        returnText = includeText ? 'text-warning' : 'warning';
        break;
      case OrganizationEligibleForGivingStatus.ELIGIBLE:
        returnText = includeText ? 'text-success' : 'success';
        break;
      }

      return returnText;
  }
}
