import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { ApplicationViewService } from '@features/application-view/application-view.service';
import { MyWorkflowManagerRolesResolver } from '@features/workflow/resolvers/my-workflow-manager-roles.resolver';

@Injectable({ providedIn: 'root' })
export class ApplicationViewResolver implements Resolve<void> {

  constructor (
    private applicationViewService: ApplicationViewService,
    private myWorkflowManagerRolesResolver: MyWorkflowManagerRolesResolver
  ) { }

  async resolve (next: ActivatedRouteSnapshot) {
    const id = next.params.id;
    await this.myWorkflowManagerRolesResolver.resolve();
    await this.applicationViewService.resolveApplicationView(id);
  }
}
