import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { BudgetService } from '@features/budgets/budget.service';

@Injectable({ providedIn: 'root' })
export class BudgetSourceOptionsResolver implements Resolve<void> {
  constructor (
    private budgetService: BudgetService
  ) { }

  async resolve () {
    await Promise.all([
      this.budgetService.setBudgetOptions(),
      this.budgetService.setSourceOptions()
    ]);
  }
}
