import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import countries from '@core/static-assets/countries';
import { LocationState } from '../states/location.state';

@Injectable({ providedIn: 'root' })
export class CountryResolver implements Resolve<void> {

  constructor (
    private locationState: LocationState
  ) { }

  resolve () {
    if (!this.locationState.countries) {
      this.locationState.set('countries', countries);
    }
  }
}
