import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { FeatureFlag } from '@core/typings/feature-flag.typing';
import { FeatureFlagsService } from '../services/feature-flags.service';

@Injectable({ providedIn: 'root' })
export class FeatureFlagsResolver implements Resolve<FeatureFlag[]> {
  constructor (
    private service: FeatureFlagsService
  ) { }

  async resolve (_next: ActivatedRouteSnapshot) {
    await this.service.fetchFlags();

    return this.service.get('featureFlags');
  }
}
