import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { I18nService } from '@yourcause/common/i18n';


@Injectable({
  providedIn: 'root'
})
export class LocaleResolver implements Resolve<void> {

  constructor (
    public i18n: I18nService
  ) { }

  async resolve (route: ActivatedRouteSnapshot) {
    await this.i18n.namespaceReady(route.data.namespace);
  }
}
