import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { EmailService } from '@features/system-emails/email.service';
import { EmailNotificationType } from '@features/system-emails/email.typing';

@Injectable({ providedIn: 'root' })
export class WorkflowFormEmailTemplateMapResolver implements Resolve<void> {

  constructor (
    private emailService: EmailService
  ) {}

  async resolve () {
    await this.emailService.setTemplateMap(EmailNotificationType.NominationFormSent);
    await this.emailService.setTemplateMap(EmailNotificationType.ApplicationFormSent);
  }
}
