import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { UserTypes } from '@core/typings/client-user.typing';
@Injectable({ providedIn: 'root' })
export class VerificationCodeResources {

  constructor (
    private http: HttpRestService
  ) { }

  resendVerificationCode (
    email: string,
    userType: UserTypes
  ) {
    const endpoint = 'api/token/ResendMultifactorAuthenticationToken';

    return this.http.post(endpoint, {
      email,
      userType
    });
  }

  expireAllSessions (
    email: string,
    password: string,
    userType: UserTypes
  ) {
    const endpoint = 'api/token/ExpireMultifactorAuthenticationCredentials';

    return this.http.post(endpoint, {
      email,
      password,
      userType
    });
  }
}
