import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { SimpleEmail } from '@features/communications/communications.typing';
import { PaginationOptions } from '@yourcause/common';

@Injectable({ providedIn: 'root' })
export class EmailLogsService {

  constructor (
    private http: HttpRestService
  ) { }

  adminEmailLogsPaginated (paginationOptions: PaginationOptions<SimpleEmail>) {
    const endpoint = 'api/admin/email/paginated';

    return this.http.post(endpoint, {
      paginationOptions
    });
  }

  getAdminEmail (emailQueueId: number) {
    const endpoint = `api/admin/email/${emailQueueId}`;

    return this.http.get(endpoint);
  }

}
