import { GCMockModule } from '@core/mocks/gc-module.mock';
import { Spec, TestCase } from '@yourcause/test-decorators';
import { DescribeAngularService } from '@yourcause/test-decorators/angular';
import { expect } from 'chai';
import { AuthBehaviors, Behaviors } from './token-behaviors';

@DescribeAngularService(AuthBehaviors, {
  imports: [GCMockModule]
})
export class AuthBehaviorsSpec implements Spec<AuthBehaviorsSpec, AuthBehaviors> {
  @TestCase('should be able to determine a known route base')
  testShouldDetermineKnown () {
    const service = new AuthBehaviors({
      routeBase: 'apply'
    } as any);

    expect(service.current).to.equal(Behaviors.apply);
  }

  @TestCase('should be able to determine an unknown route base')
  testShouldDetermineUnknown () {
    const service = new AuthBehaviors({
      routeBase: 'unknown'
    } as any);

    expect(service.current).to.equal(Behaviors.management);
  }
}
