import { SimpleStringMap, TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';
import { StatusMap, StatusOptions } from '../typings/status.typing';

@RegisterYCState()
export class StatusState extends BaseYcState {
  readonly application: StatusOptions[];
  readonly payment: StatusOptions[];
  readonly form: StatusOptions[];
  readonly batch: StatusOptions[];
  readonly applicationStatusMap: StatusMap;
  readonly paymentStatusMap: StatusMap;
  readonly paymentSubStatusMap: StatusMap;
  readonly formStatusMap: StatusMap;
  readonly batchStatusMap: StatusMap;
  readonly paymentStatusOptions: TypeaheadSelectOption[] = [];
  readonly paymentSubStatusOptions: TypeaheadSelectOption[] = [];
  readonly appStatusOptions: TypeaheadSelectOption[] = [];
  readonly formStatusOptions: TypeaheadSelectOption[] = [];
  readonly adHocAppStatusOptions: TypeaheadSelectOption<string>[] = [];
  readonly archiveReasonCodes: TypeaheadSelectOption[];
  readonly archiveReasonCodeMap: SimpleStringMap<string> = {};
}
