import { Address } from '@yourcause/common';

export namespace AddOrgAPI {
  export interface CheckOrgRecordsPayload {
    identificationNumber: number;
    country: string;
  }
  export interface CreateAndVetNewOrgPayload {
    addNonprofitModel: AddNonprofitModel;
    nonprofitContactName: string;
    nonprofitContactEmail: string;
    organizationId?: number;
    grantProgramId: number;
  }
  export interface AddNonprofitModel {
    name: string;
    website?: string;
    address: Address;
    registrationId: string;
    imageName?: string;
    imageUrl?: string;
    allowDonations: boolean;
    allowVolunteering: boolean;
  }
  export interface SubmitEdVettingRequestPayload {
    nonprofitContactName: string;
    nonprofitContactEmail: string;
    nonprofitContactWebsite: string;
    nonprofitGuid: string;
    grantProgramId: number;
  }

  export interface UpdateNonprofitClassificationModel {
    classificationOneId: number;
    classificationTwoId: number;
    classificationThreeId: number;
  }

  export interface AddOrVetOrgPayload {
    addNonprofitModel?: AddNonprofitModel;
    updateNonprofitClassificationModel?: UpdateNonprofitClassificationModel;
    organizationId?: number;
    nonprofitContactName?: string;
    nonprofitContactEmail?: string;
    nonprofitContactWebsite?: string;
    grantProgramCycleId: number;
    clientId?: number;
    isApplicant: boolean;
    applicationId: number;
  }
}

