import { TableDataDownloadFormat } from '@yourcause/common';
import { ApplicationStatuses } from '../status.typing';

export namespace APConfigAPI {
  export interface APSettingsColumn {
    columnName: string;
    suppliedColumnName?: string;
    isVisible: boolean;
    sortPriority: number;
  }
  export interface APReportSettings {
    id?: number;
    sftpDetailsId: number;
    audienceId: number;
    accountsPayableSettingsColumns: APSettingsColumn[];
    exportFileTypeId: TableDataDownloadFormat;
  }
  export interface GetDataForVendorIdExport {
    grantProgramIds: number[];
    applicationStatuses: ApplicationStatuses[];
    includeExisting: boolean;
  }
  export interface OrgDataForVendorIdExport {
    name: string;
    ein: string;
    id: number;
    vendorId: string;
    address1: string;
    address2: string;
    city: string;
    state: string;
    zip: string;
    country: string;
    'Organization ID': number;
    'Vendor ID': string;
    'Registration ID': string;
  }
  export interface ApplicantDataForVendorIdExport {
    firstName: string;
    lastName: string;
    email: string;
    id: number;
    vendorId: string;
    address1: string;
    address2: string;
    city: string;
    state: string;
    zip: string;
    country: string;
    'Individual ID': number;
    'Vendor ID': string;
    'Registration ID': string;
  }
  export interface ValidateVendorIdImport {
    ids: number[];
    importType: VendorIdImportType;
  }
  export enum VendorIdImportType {
    APPLICANT = 1,
    ORG = 2
  }
  export interface ImportVendorIdContents {
    'Individual ID': number;
    'Vendor ID': string;
    'Organization ID'?: number;
  }
  export interface ImportVendorIdModalResponse {
    id: number;
    vendorId: string;
  }
}
