import { DataHubReportStatus } from '@features/reporting/data-hub/data-hub.typing';

export namespace APIDataImport {
  export interface DataImportBatchModel {
    id: number;
    name: string;
    clientName: string;
    isProcessed: boolean;
    dateProcessed: string;
    clientId: number;
    applicantsEmployeesOfClient: boolean;
    scheduledJobId: number;
    scheduledJobStatus: DataHubReportStatus;
    scheduledJobStartDate: string;
    scheduledJobCompletionDate: string;
    scheduledJobCreatedDate: string;
    scheduledJobUpdatedDate: string;
  }

  export interface CreateImportBatch {
    name: string;
    clientId: number;
  }

  export interface ValidationError {
    importId: string;
    objectName: string;
    error: string;
  }

  export enum DataImportFileType {
    Applicants = 1,
    Applications = 2,
    ApplicationForms = 3,
    Awards = 4,
    Organizations = 5,
    Payments = 6,
    ApplicationInKindItems = 7,
    AwardInKindItems = 8,
    PaymentInKindItems = 9,
    ApplicationReferenceFields = 10,
    EmployeeApplicantInfo = 11
  }
}
