import { SimpleGrantsAddress } from '@yourcause/common';

export enum CollaboratorPermissions {
  CAN_MANAGE,
  RECEIVES_NOTIFICATIONS,
  CURRENT_OWNER
}

export interface Collaborator {
  firstName: string;
  lastName: string;
  email: string;
  id: number;
  canManageApplicants: boolean;
  canReceiveEmails: boolean;
  isApplicationOwner: boolean;
  phoneNumber: string;
  addressString: string;
  routerLink?: string[];
}


export interface BulkCollaboratorResponse extends CollaboratorForManager {
  applicationId: number;
}

export interface BaseCollabApi {
  id: number;
  firstName: string;
  lastName: string;
  email: string;
  canManageApplicants: boolean;
  canReceiveEmails: boolean;
  isApplicationOwner: boolean;
  phoneNumber: string;
}

export interface CollaboratorForPortal extends BaseCollabApi {
  address: string;
  address2: string;
  city: string;
  state: string;
  postalCode: string;
  country: string;
}

export interface CollaboratorForManager extends BaseCollabApi {
  address: SimpleGrantsAddress;
}


export interface CollaboratorInfo {
  applicantId: number;
  canManageApplicants: boolean;
  canReceiveEmails: boolean;
}
