import { ProcessingTypes } from '../payment.typing';

export namespace CyclesUI {
  export interface UpdateAppCyclePayload  {
    applicationIds: number[];
    cycleID: number;
    comment?: string;
  }
  export interface UpdateAppCycleModalData {
    applicationIds: number[];
    totalPayments: number;
    budgetCount: number;
    programId: number;
    eligibleCycleIds: number[];
  }

  export interface ProgramCycle {
    id: number;
    name: string;
    startDate: string;
    endDate: string;
    budgetIds: number[];
    defaultCashBudgetId: number;
    defaultCashFundingSourceId: number;
    defaultInKindBudgetId: number;
    defaultInKindFundingSourceId: number;
    clientOrganizationsProcessingTypeId: ProcessingTypes;
    isArchived: boolean;
    hasApplications: boolean;
    createdBy: string;
    createdDate: string;
    updatedBy: string;
    updatedDate: string;
    createImpersonatedBy: string;
    impersonatedBy: string;
    isClientProcessing: boolean;
  }

}
