import { Injectable } from '@angular/core';
import { ProcessingTypes } from '@core/typings/payment.typing';
import { ModalFactory } from '@yourcause/common/modals';
import { AddOrgModalComponent } from './add-org-modal/add-org-modal.component';

@Injectable()
export class AddOrganizationModalManagerService  {
  constructor (
    private modalFactory: ModalFactory
  ) { }

  async openAddOrgModal (processorType: ProcessingTypes) {
    const response = await this.modalFactory.open(
      AddOrgModalComponent,
      {
        processorType
      }
    );

    return response;
  }
}
