import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { ApplicantAwardsPageComponent } from './applicant-awards-page/applicant-awards-page.component';
import { ApplicantAwardsModule } from './applicant-awards.module';
import { MyAwardsResolver } from './resolvers/my-awards.resolver';


@NgModule({
  imports: [
    ApplicantAwardsModule,
    RouterModule.forChild([{
      path: '',
      component: ApplicantAwardsPageComponent,
      resolve: {
        locale: LocaleResolver,
        awards: MyAwardsResolver
      },
      data: {
        namespace: ['AWARDS'],
        pageName: 'Applicant Awards'
      }
    }])
  ]
})
export class ApplicantAwardsRoutingModule { }
