import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AppManagerTypes } from '@core/typings/application.typing';

@Component({
  selector: 'gc-applicant-applications',
  templateUrl: './applicant-applications.component.html',
  styleUrls: ['./applicant-applications.component.scss']
})

export class ApplicantApplicationsComponent implements OnInit {
  id: number;
  applicationId: number; // if coming from application view
  AppManagerTypes = AppManagerTypes;

  constructor (
    private activatedRoute: ActivatedRoute
  ) { }

  get isNomination () {
    return location.pathname.includes('nomination');
  }

  ngOnInit () {
    const parent = this.activatedRoute.parent;
    if (parent && parent.snapshot.parent) {
      this.applicationId = parent.snapshot.parent.params ?
        parent.snapshot.parent.params.id :
        null;
    }
    this.id = this.activatedRoute.snapshot.parent.params.id;
  }
}
