import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicationManagerModule } from '@features/application-manager/application-manager.module';
import { SystemTagsModule } from '@features/system-tags/system-tags.module';
import { YCCommonModule } from '@yourcause/common';
import { ApplicantApplicationsComponent } from './applicant-applications/applicant-applications.component';
import { ApplicantAwardsComponent } from './applicant-awards/applicant-awards.component';
import { ApplicantOrganizationsComponent } from './applicant-organizations/applicant-organizations.component';
import { ApplicantProfileWrapperComponent } from './applicant-profile-wrapper/applicant-profile-wrapper.component';
import { ApplicantSelectorModalComponent } from './applicant-selector-modal/applicant-selector-modal.component';
import { ApplicantSelectorComponent } from './applicant-selector/applicant-selector.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule,
    SystemTagsModule,
    ApplicationManagerModule
  ],
  declarations: [
    ApplicantProfileWrapperComponent,
    ApplicantOrganizationsComponent,
    ApplicantAwardsComponent,
    ApplicantApplicationsComponent,
    ApplicantSelectorComponent,
    ApplicantSelectorModalComponent
  ],
  exports: [
    ApplicantSelectorComponent,
    ApplicantSelectorModalComponent
  ]
})
export class ApplicantModule { }
