import { Component, Input } from '@angular/core';
import { StatusService } from '@core/services/status.service';
import { TimeZoneService } from '@core/services/time-zone.service';
import { ApplicationActivityForUi, GrantActivityTypes } from '../activity.typing';
import { ApplicationActivityService } from '../application-activity.service';

@Component({
  selector: 'gc-grant-activity-block',
  templateUrl: './grant-activity-block.component.html',
  styleUrls: ['./grant-activity-block.component.scss']
})
export class GrantActivityBlockComponent {
  @Input() activity: ApplicationActivityForUi;
  @Input() showAppId = false;
  @Input() defaultCurrency: string;

  GrantActivityTypes = GrantActivityTypes;
  archiveReasonCodeMap = this.statusService.archiveReasonCodeMap;

  constructor (
    private statusService: StatusService,
    private timezoneService: TimeZoneService,
    private applicationActivityService: ApplicationActivityService
  ) { }

  get activityMap () {
    return this.applicationActivityService.activityMap;
  }

  get activityDateAndTimezone () {
    return this.timezoneService.returnLocalDateTimeAndTZ(this.activity.createdDate, 'lll');
  }

}
