import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { ApplicationEligibility } from '@features/application-eligibility/application-eligibility.typing';

@Injectable({ providedIn: 'root' })
export class ApplicationEligibilityResources {

  constructor (
    private httpRestService: HttpRestService
  ) { }

  organizationEligibilityCheck (
    payload: ApplicationEligibility.OrganizationEligibilityCheckPayload
  ): Promise<ApplicationEligibility.OrganizationEligibilityCheckResponse> {
    return this.httpRestService.post(
      'api/manager/applications/OrganizationEligibilityCheck',
      payload
    );
  }

  checkOrganizationEligibilityStatus (
    payload: ApplicationEligibility.ApplicantCopyEligibilityPayload
  ): Promise<ApplicationEligibility.OrganizationEligibilityCheckResponse> {
    const endpoint = '/api/portal/applications/OrganizationEligibilityCheck';

    return this.httpRestService.post(endpoint, payload);
  }
}
