import { VettingRequestStatusId } from '@core/typings/application.typing';

export namespace ApplicationEligibility {
  export interface OrganizationEligibilityCheckPayload {
    applicationId: number;
    grantProgramId: number;
    grantProgramCycleId: number;
  }
  export interface ProgramUpdateEligibilityPayload extends OrganizationEligibilityCheckPayload {
    orgIdentification: string;
    charityBucketId: string;
    clientId: number;
    latestVettingRequestStatusForOrg: VettingRequestStatusId;
  }

  export interface ApplicantCopyEligibilityPayload extends OrganizationEligibilityCheckPayload {
    latestVettingRequestStatusForOrg: VettingRequestStatusId;
  }
  export enum OrganizationEligibilityCheckResponse {
    // OrganizationNotInCharityBucket is used by the UI only
    OrganizationNotInCharityBucket = 0,
    OrganizationEligible = 1,
    OrganizationNotActiveInNpp = 2,
    OrganizationNotEligibleForGiving = 3,
    OrganizationNotValidForGrantProgramBudget = 4,
  }
}
