import { Component, Input, OnInit } from '@angular/core';
import { TypeSafeFormBuilder, TypeSafeFormGroup } from '@yourcause/common';
import { AnalyticsService, EventType } from '@yourcause/common/analytics';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-edit-vendor-id-modal',
  templateUrl: './edit-vendor-id-modal.component.html',
  styleUrls: ['./edit-vendor-id-modal.component.scss']
})
export class EditVendorIdModalComponent extends YCModalComponent<{ vendorId: string }> implements OnInit {
  @Input() existingVendorId: string;

  formGroup: TypeSafeFormGroup<{
    vendorId: string;
  }>;

  constructor (
    private formBuilder: TypeSafeFormBuilder,
    private analyticsService: AnalyticsService
  ) {
    super();
  }

  ngOnInit () {
    this.formGroup = this.formBuilder.group({
      vendorId: [this.existingVendorId || '']
    });
  }

  handlePrimaryClick () {
    this.closeModal.emit(this.formGroup.value);
    this.analyticsService.emitEvent({
      eventName: 'Edit vendor id modal submit',
      eventType: EventType.Click,
      extras: null
    });
  }
}
