import { Pipe, PipeTransform } from '@angular/core';
import { ApplicationFromPaginated, ApplicationManagerMap } from '@core/typings/application.typing';
import { ApplicationManagerService } from '../services/application-manager/application-manager.service';

@Pipe({
  name: 'gcAppManagerOptionsVisible'
})
export class AppManagerOptionsVisiblePipe implements PipeTransform {

  constructor (
    private applicationManagerService: ApplicationManagerService
  ) { }

  transform (
    map: ApplicationManagerMap,
    row: ApplicationFromPaginated,
    canEditApp = false
  ): boolean {
    return this.applicationManagerService.areAppManagerOptionsVisible(
      map,
      row,
      canEditApp
    );
  }

}
