import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { FormAudience, FormManagerRecordFromApi } from '@features/configure-forms/form.typing';
import { APIResultData, PaginationOptions } from '@yourcause/common';

@Injectable({ providedIn: 'root' })
export class FormManagerResources {

  constructor (
    private httpRestService: HttpRestService
  ) { }

  getFormManagerRecords (
   paginationOptions: PaginationOptions<FormManagerRecordFromApi>,
   formTypeAudience: FormAudience,
   startDateFilter: string,
   endDateFilter: string
  ): Promise<APIResultData<FormManagerRecordFromApi>> {
    const endpoint = 'api/manager/applications/applicationFormsForApplicationsCurrentWorkflowLevel';

    return this.httpRestService.post(endpoint, {
      paginationOptions,
      formTypeAudience,
      startDateFilter,
      endDateFilter
    });
  }
}
