import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicationActivityModule } from '@features/application-activity/application-activity.module';
import { ApplicationDownloadModule } from '@features/application-download/application-download.module';
import { ApplicationPdfModule } from '@features/application-pdf/application-pdf.module';
import { EditApplicationWrapperComponent } from '@features/application-view/edit-application-wrapper/edit-application-wrapper.component';
import { ReminderModalComponent } from '@features/application-view/reminder-modal/reminder-modal.component';
import { ApproveAwardPayModule } from '@features/approve-award-pay/approve-award-pay.module';
import { AwardsModule } from '@features/awards/awards.module';
import { CommunicationsModule } from '@features/communications/communications.module';
import { DocumentTemplateModule } from '@features/document-templates/document-templates.module';
import { AngularFormioModule } from '@features/formio/angular-formio.module';
import { OfflineGrantsCreateEditApplicationModule } from '@features/offline-grants/offline-grants-create-edit-application/offline-grants-create-edit-application.module';
import { OfflineGrantsSubmitApplicationModule } from '@features/offline-grants/offline-grants-submit-application/offline-grants-submit-application.module';
import { SelectEmailTemplateModule } from '@features/system-emails/select-email-template/select-email-template.module';
import { SystemTagsModule } from '@features/system-tags/system-tags.module';
import { SignatureModule } from '@yourcause/common/signature';
import { ApplicationManagerModule } from '../application-manager/application-manager.module';
import { BudgetSummaryModalComponent } from '../application-view/budget-summary-modal/budget-summary-modal.component';
import { CollaborationModule } from '../collaboration/collaboration.module';
import { NominationsModule } from '../nominations/nominations.module';
import { ActivityTabComponent } from './activity-tab/activity-tab.component';
import { ApplicationAttachmentsTabComponent } from './application-attachments/application-attachments-tab/application-attachments-tab.component';
import { ExternalFileModalComponent } from './application-attachments/external-file-modal/external-file-modal.component';
import { MergeDocumentModalComponent } from './application-attachments/merge-document-modal/merge-document-modal.component';
import { MergeDocumentModalPreviewComponent } from './application-attachments/merge-document-preview-modal/merge-document-preview-modal.component';
import { ApplicationViewPageComponent } from './application-view-page/application-view-page.component';
import { AwardsTabComponent } from './awards-tab/awards-tab.component';
import { CommunicationsTabComponent } from './communications-tab/communications-tab.component';
import { FormsTabComponent } from './forms-tab/forms-tab.component';
import { LinkHRDataModalComponent } from './link-hr-data-modal/link-hr-data-modal.component';
import { CanEditFormPipe } from './pipes/can-edit-form.pipe';
import { WflUserPermissionDisplayPipe } from './pipes/wfl-user-permission-display.pipe';
import { RecallFormModalComponent } from './recall-form-modal/recall-form-modal.component';
import { RecommendFundingModalComponent } from './recommend-funding-modal/recommend-funding-modal.component';
import { SendFormToApplicantModalComponent } from './send-form-to-applicant-modal/send-form-to-applicant-modal.component';
import { UsersInWflModalComponent } from './users-in-wfl-modal/users-in-wfl-modal.component';

@NgModule({
  imports: [
    SystemTagsModule,
    GCCoreModule,
    CollaborationModule,
    ApplicationManagerModule,
    NominationsModule,
    AwardsModule,
    ApproveAwardPayModule,
    AngularFormioModule,
    DocumentTemplateModule,
    OfflineGrantsCreateEditApplicationModule,
    OfflineGrantsSubmitApplicationModule,
    SignatureModule,
    ApplicationDownloadModule,
    ApplicationActivityModule,
    SelectEmailTemplateModule,
    ApplicationPdfModule,
    CommunicationsModule
  ],
  declarations: [
    ApplicationViewPageComponent,
    FormsTabComponent,
    AwardsTabComponent,
    CommunicationsTabComponent,
    ReminderModalComponent,
    RecallFormModalComponent,
    ApplicationAttachmentsTabComponent,
    ExternalFileModalComponent,
    SendFormToApplicantModalComponent,
    MergeDocumentModalComponent,
    BudgetSummaryModalComponent,
    MergeDocumentModalPreviewComponent,
    CanEditFormPipe,
    ActivityTabComponent,
    RecommendFundingModalComponent,
    UsersInWflModalComponent,
    WflUserPermissionDisplayPipe,
    LinkHRDataModalComponent,
    EditApplicationWrapperComponent
  ],
  exports: [
    ApplicationViewPageComponent,
    FormsTabComponent
  ]
})
export class ApplicationViewModule { }
