import { Pipe, PipeTransform } from '@angular/core';
import { ApplicationStatuses } from '@core/typings/status.typing';
import { ApplicationFormService } from '@features/application-forms/services/application-forms.service';
import { CompletionRequirementType, FormAudience, FormResponse, FormTypes } from '@features/configure-forms/form.typing';

@Pipe({
  name: 'gcCanEditForm'
})
export class CanEditFormPipe implements PipeTransform {

  constructor (
    private applicationFormService: ApplicationFormService
  ) { }

  transform (
    editing: boolean,
    canEditApplicantForms: boolean,
    currentResponse: FormResponse,
    formAudience: FormAudience,
    formType: FormTypes,
    completionRequirementType: CompletionRequirementType,
    appStatus: ApplicationStatuses,
    isNominationForm: boolean,
    isNomination: boolean,
    isEditApplicationView: boolean,
    isCompletedByMeSection: boolean
  ) {
    return this.applicationFormService.getCanEditForm(
      editing,
      canEditApplicantForms,
      currentResponse,
      formAudience,
      formType,
      completionRequirementType,
      appStatus,
      isNominationForm,
      isNomination,
      isEditApplicationView,
      isCompletedByMeSection
    );
  }
}
