import { Pipe, PipeTransform } from '@angular/core';
import { WorkflowLevelPermissions, WorkflowManager } from '@core/typings/workflow.typing';
import { WorkflowService } from '@features/workflow/workflow.service';

@Pipe({
  name: 'gcWflUserPermissionDisplay'
})
export class WflUserPermissionDisplayPipe implements PipeTransform {

  constructor (
    private workflowService: WorkflowService
  ) { }

  transform (
    clientUserId: number,
    workflowLevelAccessType: WorkflowLevelPermissions,
    workflowManagers: WorkflowManager[]
  ) {
    return this.workflowService.getWorkflowUserPermissionDisplay(
      clientUserId,
      workflowLevelAccessType,
      workflowManagers
    );
  }
}
