import { Component, Input, OnInit } from '@angular/core';
import { SpinnerService } from '@core/services/spinner.service';
import { WorkflowLevelUser, WorkflowManager } from '@core/typings/workflow.typing';
import { WorkflowService } from '@features/workflow/workflow.service';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-users-in-wfl-modal',
  templateUrl: './users-in-wfl-modal.component.html',
  styleUrls: ['./users-in-wfl-modal.component.scss']
})
export class UsersInWflModalComponent extends YCModalComponent<void> implements OnInit {
  @Input() workflowId: number;
  @Input() workflowLevelId: number;
  @Input() workflowLevelName: string;

  rows: WorkflowLevelUser[];
  workflowManagers: WorkflowManager[];

  constructor (
    private workflowService: WorkflowService,
    private spinnerService: SpinnerService
  ) {
    super();
  }

  async ngOnInit () {
    this.spinnerService.startSpinner();
    this.rows = await this.workflowService.getWorkflowLevelUsers(
      this.workflowId,
      this.workflowLevelId
    );
    this.workflowManagers =  await this.workflowService.getWorkflowManagers(
      this.workflowId
    );

    this.spinnerService.stopSpinner();
  }
}

