import { Component, Input, OnInit } from '@angular/core';
import { AwardService } from '@features/awards/award.service';
import { Award, MyAward } from '@features/awards/typings/award.typing';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-application-awards-modal',
  templateUrl: './application-awards-modal.component.html',
  styleUrls: ['./application-awards-modal.component.scss']
})
export class ApplicationAwardsModalComponent extends YCModalComponent<void> implements OnInit  {
  @Input() applicationId: number;
  @Input() awards: MyAward[];

  adaptedAwards: Award[];

  constructor (
    private awardService: AwardService
  ) {
    super();
  }

  ngOnInit () {
    this.adaptAwards();
  }

  adaptAwards () {
    this.adaptedAwards = this.awardService.constructAwards(this.awards);
  }

}
