import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { MyApplicationsResolver } from '@core/resolvers/my-applications.resolver';
import { MyAwardsResolver } from '@features/applicant-awards/resolvers/my-awards.resolver';
import { EmployeeSSOFieldsResolver } from '@features/employee-sso-fields/resolvers/employee-sso-fields.resolver';
import { ApplyPageComponent } from './apply-page/apply-page.component';
import { ApplyModule } from './apply.module';

@NgModule({
  imports: [
    ApplyModule,
    RouterModule.forChild([{
      path: ':applicationId/forms/:formId',
      component: ApplyPageComponent,
      resolve: {
        locale: LocaleResolver,
        ssoFields: EmployeeSSOFieldsResolver,
        myApps: MyApplicationsResolver,
        awards: MyAwardsResolver
      },
      data: {
        namespace: ['APPLY', 'search', 'addOrg'],
        pageName: 'Application Landing Page'
      }
    }])
  ]
})
export class ApplicationRoutingModule { }
