import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { AwardsModule } from '@features/awards/awards.module';
import { CancelApplicationModule } from '@features/cancel-application/cancel-application.module';
import { AngularFormioModule } from '@features/formio/angular-formio.module';
import { MyApplicationsModule } from '@features/my-applications/my-applications.module';
import { SignatureModule } from '@yourcause/common/signature';
import { ApplicationManagerModule } from '../application-manager/application-manager.module';
import { CollaborationModule } from '../collaboration/collaboration.module';
import { NominationsModule } from '../nominations/nominations.module';
import { ApplicationAwardsModalComponent } from './application-awards-modal/application-awards-modal.component';
import { ApplyPageComponent } from './apply-page/apply-page.component';
import { CopyApplicationModalComponent } from './copy-application-modal/copy-application-modal.component';
import { NoProgramsAvailableModalComponent } from './no-programs-available-modal/no-programs-available-modal.component';
import { PublicProgramPageComponent } from './public-program-page/public-program-page.component';


@NgModule({
  imports: [
    GCCoreModule,
    ApplicationManagerModule,
    CollaborationModule,
    NominationsModule,
    MyApplicationsModule,
    AngularFormioModule,
    CancelApplicationModule,
    SignatureModule,
    AwardsModule
  ],
  declarations: [
    ApplyPageComponent,
    PublicProgramPageComponent,
    CopyApplicationModalComponent,
    NoProgramsAvailableModalComponent,
    ApplicationAwardsModalComponent
  ],
  exports: [
    ApplyPageComponent,
    PublicProgramPageComponent
  ]
})
export class ApplyModule { }
