import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { MyApplicationsResolver } from '@core/resolvers/my-applications.resolver';
import { ApplyPageComponent } from './apply-page/apply-page.component';
import { ApplyModule } from './apply.module';
import { PublicProgramPageComponent } from './public-program-page/public-program-page.component';

@NgModule({
  imports: [
    ApplyModule,
    RouterModule.forChild([{
      path: ':programId',
      resolve: {
        myApplications: MyApplicationsResolver
      },
      children: [{
        path: '',
        component: PublicProgramPageComponent
      }, {
        path: 'apply',
        component: ApplyPageComponent,
        data: {
          namespace: ['addOrg', 'search'],
          pageName: 'Apply Page'
        },
        resolve: {
          locale: LocaleResolver
        }
      }, {
        path: 'routing',
        component: ApplyPageComponent,
        data: {
          namespace: ['addOrg', 'search'],
          pageName: 'Route Page',
          isRouting: true
        },
        resolve: {
          locale: LocaleResolver
        }
      }]
    }])
  ]
})
export class ProgramRoutingModule { }
