import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { GCCoreModule } from '@core/_core.module';
import { AllUsersResolver } from '@features/users/resolvers/all-users.resolver';
import { YCCommonModule } from '@yourcause/common';
import { AudienceModule } from './audience.module';
import { AudiencesPageComponent } from './audiences-page/audiences-page.component';


@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule,
    AudienceModule,
    RouterModule.forChild([{
      path: '',
      component: AudiencesPageComponent,
      resolve: {
        locale: LocaleResolver,
        allUsers: AllUsersResolver
      },
      data: {
        namespace: ['CONFIG'],
        pageName: 'Audiences'
      }
    }])
  ]
})
export class AudienceRoutingModule { }
