export interface Audience {
  name: string;
  id: number;
  description: string;
  totalMembers: number;
  createdDate: string;
  createdBy: string;
  createImpersonatedBy: string;
  updatedDate: string;
  updatedBy: string;
  impersonatedBy: string;
  canDelete: boolean;
}

export interface AudienceDetail extends Audience {
  members: AudienceMember[];
}

export interface AudiencePermissionAttrs {
  canManage?: boolean;
  hasPassthrough?: boolean;
}

export interface AudienceMember {
  id: number;
  name: string;
  email: string;
  external?: boolean;
  canManage?: boolean;
  hasPassthrough?: boolean;
}

export interface ManageAudienceMember extends AudienceMember {
  canManage: boolean;
}

export interface ManageWorkflowUser extends AudienceMember {
  hasPassthrough?: boolean;
}

export interface AudienceModalResponse {
  id: number;
  name: string;
  description: string;
  members: AudienceMember[];
}
