import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AuthModule } from './auth.module';
import { ConfirmEmailComponent } from './confirm-email/confirm-email.component';
import { ForgotPasswordComponent } from './forgot-password/forgot-password.component';
import { LoginFormComponent } from './login-form/login-form.component';
import { LoginTabsWrapperComponent } from './login-tabs-wrapper/login-tabs-wrapper.component';
import { ResendVerificationComponent } from './resend-verification/resend-verification.component';
import { ResetPasswordComponent } from './reset-password/reset-password.component';
import { VerificationCodePageComponent } from './verification-code-page/verification-code-page.component';

@NgModule({
  imports: [
    AuthModule,
    RouterModule.forChild([{
      path: '',
      component: LoginTabsWrapperComponent,
      children: [{
        path: 'signin',
        component: LoginFormComponent
      }, {
        path: 'forgot',
        component: ForgotPasswordComponent
      }, {
        path: 'reset-password',
        component: ResetPasswordComponent
      }, {
        path: 'confirm-email',
        component: ConfirmEmailComponent
      }, {
        path: 'resend-verification',
        component: ResendVerificationComponent
      }, {
        path: 'verification-code',
        component: VerificationCodePageComponent
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'signin'
      }]
    }])
  ]
})
export class ManagementAuthModule { }
