import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AuthModule } from './auth.module';
import { BlackbaudSsoLogoutPageComponent } from './blackbaud-sso-logout-page/blackbaud-sso-logout-page.component';
import { BlackbaudSsoRedirectComponent } from './blackbaud-sso-redirect/blackbaud-sso-redirect.component';
import { BlackbaudSsoRedirectResolver } from './resolvers/blackbaud-sso-redirect.resolver';

@NgModule({
  imports: [
    AuthModule,
    RouterModule.forChild([{
      path: 'signin',
      resolve: {
        blackbaudSso: BlackbaudSsoRedirectResolver
      }
    }, {
      path: 'callback',
      component: BlackbaudSsoRedirectComponent
    }, {
      path: 'logout',
      component: BlackbaudSsoLogoutPageComponent
    }, {
      path: '',
      pathMatch: 'full',
      redirectTo: 'signin'
    }])
  ]
})
export class PlatformAuthModule { }
