import { Injectable } from '@angular/core';
import { CanActivate, Router } from '@angular/router';
import { AuthBehaviors } from '@core/services/token/token-behaviors';
import { TokenService } from '@core/services/token/token.service';

@Injectable({ providedIn: 'root' })
export class UnauthenticatedGuard implements CanActivate {

  constructor (
    private router: Router,
    private authBehaviors: AuthBehaviors,
    private tokenService: TokenService
  ) { }

  async canActivate (): Promise<boolean> {
    if (this.tokenService.getIsLoggedIn()) {
      this.router.navigateByUrl(this.authBehaviors.current.postLoginRedirect);

      return false;
    }

    return true;
  }
}
