import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { BudgetAssignmentsService } from './budget-assignments.service';

@Injectable({ providedIn: 'root' })
export class BudgetAssignmentDetailResolver implements Resolve<void> {
  constructor (
    private budgetAssignmentService: BudgetAssignmentsService
  ) { }

  async resolve (activatedRoute: ActivatedRouteSnapshot) {
    if (activatedRoute.params.id && (activatedRoute.params.id !== 'new')) {
      await this.budgetAssignmentService.fetchDetail(+activatedRoute.params.id);
    }
  }
}
