import { AutomationAPI } from '@core/typings/api/automation.typing';
import { FormType } from '@features/configure-forms/form.typing';

export interface BaseBudgetAssignmentRuleSet {
  budgetAssignmentAutomationRuleSetId: number;
  grantProgramId: number;
  budgetId: number;
  fundingSourceId: number;
  name: string;
  description: string;
  applyRulesWithOr: boolean;
  formId: number;
}

export interface SimpleBudgetAssignmentRuleSet extends BaseBudgetAssignmentRuleSet {
  sequence: number;
  isDisabledOrInActive: boolean;
  isDisabled: boolean;
  inActive: boolean;
  createdDate: string;
  updatedDate: string;
  formName: string;
  formType: FormType;
  status: AutomationAPI.AutomationRuleSetStatus;
}
export interface BudgetAssignmentRuleSetDetail extends SimpleBudgetAssignmentRuleSet {
  rules: AutomationAPI.AutomationRuleSetExpressionBaseModel[];
}

export interface SaveBudgetAssignmentRuleSet extends BaseBudgetAssignmentRuleSet {
  rules: AutomationAPI.AutomationRuleSetExpressionBaseModel[];
}

export interface BudgetAssignmentSequenceModel {
  ruleSets: {
    budgetAssignmentAutomationRuleSetId: number;
    sequence: number;
  }[];
  grantProgramId: number;
}

export interface BudgetAssignmentApplicationHistory {
  amountRequested: number;
  isMasked: boolean;
  canViewMaskedApplicantInfo: boolean;
  applicationId: number;
  applicantId: number;
  applicantFirstName: string;
  applicantLastName: string;
  applicantFullName: string;
  applicantEmail: string;
  applicantPhoneNumber: string;
  applicantProfileImageUrl: string;
  organizationId: number;
  nonprofitGuid: string;
  organizationName: string;
  organizationIdentification: string;
  organizationImageUrl: string;
  organizationAddressInfo: {
    address: string;
    address2: string;
    city: string;
    state: string;
    country: string;
    postalCode: string;
  };
  programId: number;
  programName: string;
  cycleId: number;
  cycleName: string;
  submittedDate: string;
  applicationStatus: number;
  isApplicationArchived: boolean;
  workflowId: number;
  workflowName: string;
  currentWorkflowLevelId: number;
  currentWorkflowLevelName: string;
  budgetAssignmentAutomationRuleSetId: number;
  budgetAssignmentAutomationRuleSetName: string;
  assignedBudgetName: string;
  assignedFundingSourceName: string;
  initialWorkflowLevelId: number;
  initialWorkflowLevelName: string;
  initialWorkflowLevelDate: string;
  formId: number;
  dateCreated: string;
  programHasReservations: boolean;
  budgetAssignmentDate: string;
  reservedAmount: number;
  assignedBudgetId: number;
  assignedFundingSourceId: number;
  reservedFunds: boolean;
}

export interface ApplicationBudgetInfo {
  budgetId: number;
  fundingSourceId: number;
  reservedFunds: boolean;
  amountReserved: number;
}
