import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { BudgetDetail } from '@core/typings/budget.typing';
import { BudgetService } from '@features/budgets/budget.service';

@Injectable({
  providedIn: 'root'
})
export class EditBudgetResolver implements Resolve<BudgetDetail> {
  constructor (
    private budgetService: BudgetService
  ) { }

  async resolve (activatedRoute: ActivatedRouteSnapshot) {
    return this.budgetService.getBudget(
      activatedRoute.params.id
    );
  }
}
