import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { UserService } from '@features/users/user.service';
import { CharityBucketsService } from './charity-buckets.service';

@Injectable({ providedIn: 'root' })
export class CharityBucketsResolver implements Resolve<boolean> {
  constructor (
    private charityBucketsService: CharityBucketsService,
    private userService: UserService
  ) {}

  async resolve () {
    if (
      'isIntegratedWithCsrZone' in this.userService.user &&
      this.userService.user.isIntegratedWithCsrZone
    ) {
      await this.charityBucketsService.getCharityBuckets(true);
    }

    return true;
  }
}
