import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { CharityBucket } from '@core/typings/charity-buckets.typings';
import { APIResponse } from '@yourcause/common';

@Injectable({ providedIn: 'root' })
export class CharityBucketsResources {

  constructor (
    private httpRestService: HttpRestService
  ) { }

  async getCharityBuckets () {
    const endpoint = 'api/manager/programs/CharityBuckets?pageNumber=1&pageSize=99999';
    const response = await this.httpRestService.get<APIResponse<CharityBucket[]>>(endpoint);

    return response.data;
  }
}

