import { Injectable } from '@angular/core';
import { CharityBucket } from '@core/typings/charity-buckets.typings';
import { AttachYCState, BaseYCService } from '@yourcause/common/state';
import { CharityBucketsResources } from './charity-buckets.resources';
import { CharityBucketsState } from './charity-buckets.state';


@AttachYCState(CharityBucketsState)
@Injectable({ providedIn: 'root' })
export class CharityBucketsService extends BaseYCService<CharityBucketsState> {

  constructor (
    private charityBucketsResources: CharityBucketsResources
  ) {
    super();
  }

  get charityBuckets () {
    return this.get('charityBuckets');
  }

  async getCharityBuckets (force = false): Promise<CharityBucket[]> {
    if (force || !this.charityBuckets) {
      const charityBuckets = await this.charityBucketsResources.getCharityBuckets();
      this.set('charityBuckets', charityBuckets);

      return charityBuckets;
    }

    return this.charityBuckets;
  }

}
