import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { ClientSettingsTabsComponent } from './client-settings-tabs/client-settings-tabs.component';
import { ClientSettingsModule } from './client-settings.module';

@NgModule({
  imports: [
    ClientSettingsModule,
    RouterModule.forChild([{
      path: ':type',
      component: ClientSettingsTabsComponent,
      resolve: {
        langs: LocaleResolver
      },
      data: {
        namespace: ['BRAND', 'currencies'],
        breadcrumb: true,
        breadcrumbLabel: 'Client Settings',
        pageName: 'Client Settings'
      }
    }])
  ]
})
export class ClientSettingsRoutingModule {

}
