import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ClientSettingsService } from '@features/client-settings/client-settings.service';

@Injectable({ providedIn: 'root' })
export class ClientSettingsResolver implements Resolve<void> {
  constructor (
    private clientSettingsService: ClientSettingsService
  ) { }

  async resolve () {
    await Promise.all([
      this.clientSettingsService.setAllLangs(),
      this.clientSettingsService.setAllCurrencies(),
      this.clientSettingsService.setClientSettings()
    ]);
     await Promise.all([
      this.clientSettingsService.setLanguageSettings(),
      this.clientSettingsService.setCurrencySettings()
    ]);
  }
}
