import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { CommunicationPreferencesResolver } from '@features/system-emails/resolvers/communication-preferences.resolver';
import { EmailResolver } from '@features/system-emails/resolvers/email.resolver';
import { CommunicationPreferencesModule } from './communication-preferences.module';
import { CommunicationPreferencesComponent } from './communication-preferences/communication-preferences.component';


@NgModule({
  imports: [
    CommunicationPreferencesModule,
    RouterModule.forChild([{
      path: '',
      component: CommunicationPreferencesComponent,
      data: {
        namespace: ['ACCOUNT'],
        pageName: 'Communication Preferences'
      },
      resolve: {
        locale: LocaleResolver,
        emails: EmailResolver,
        commPrefs: CommunicationPreferencesResolver
      }
    }])
  ]
})
export class CommunicationPreferencesRoutingModule { }
