import { Component, OnInit } from '@angular/core';
import { CardPageTypes, CardsService } from '@core/services/cards.service';
import { CardItem, CardTypes } from '@yourcause/common';

@Component({
  selector: 'gc-configuration-page',
  template: `
  <div class="yc-layout yc-layout-navigation">
    <yc-panel
      [title]="'GLOBAL:textSettings' | ycI18n">
    </yc-panel>
    <section *ngFor="let cards of cardArrays;">
      <yc-card-array
        [items]="cards"
        [type]="CardTypes.Navigation"
        columnClass="col-sm-6">
      </yc-card-array>
    </section>
  </div>
`
})
export class ConfigurationPageComponent implements OnInit {
  CardTypes = CardTypes;
  cardArrays: CardItem[][] = [];

  constructor (
    private cardsService: CardsService
  ) { }



  ngOnInit () {
    this.cardArrays = this.cardsService.getCardsByType(
      CardPageTypes.SETTINGS
    );
  }


}
