import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Form } from '@features/configure-forms/form.typing';
import { FormLogicService } from '@features/formio/services/form-logic/form-logic.service';

@Injectable({ providedIn: 'root' })
export class FormDetailResolver implements Resolve<Form> {

  constructor (
    private formLogicService: FormLogicService
  ) { }

  resolve (nextRoute: ActivatedRouteSnapshot) {
    const id = +nextRoute.paramMap.get('id');
    const revisionId = +nextRoute.paramMap.get('revisionId');

    return this.formLogicService.fetchFormDetail(id, revisionId);
  }
}
