import { Component, Input } from '@angular/core';
import { AnalyticsService, EventType } from '@yourcause/common/analytics';
import { YCModalComponent } from '@yourcause/common/modals';
import { CustomDataTable } from '../custom-data-tables.typing';

@Component({
  selector: 'gc-copy-custom-data-table-modal',
  templateUrl: './copy-custom-data-table-modal.component.html',
  styleUrls: ['./copy-custom-data-table-modal.component.scss']
})
export class CopyCustomDataTableModalComponent extends YCModalComponent<string> {
  @Input() cdtToCopy: CustomDataTable;

  newName: string;
  constructor (
    private analyticsService: AnalyticsService
  ) {
    super();
  }
  handlePrimaryClick () {
    this.closeModal.emit(this.newName);
    this.analyticsService.emitEvent({
      eventName: 'Copy custom data table modal submit',
      eventType: EventType.Click,
      extras: null
    });
  }
}
