import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ReferenceFieldsModule } from '@features/reference-fields/reference-fields.module';
import { YCCommonModule } from '@yourcause/common';
import { AddCustomDataTableModalComponent } from './add-custom-data-table-modal/add-custom-data-table-modal.component';
import { AddEditCustomOptionModalComponent } from './add-edit-custom-option-modal/add-edit-custom-option-modal.component';
import { CopyCustomDataTableModalComponent } from './copy-custom-data-table-modal/copy-custom-data-table-modal.component';
import { CustomDataTableDetailComponent } from './custom-data-table-detail/custom-data-table-detail.component';
import { CustomDataTablesPageComponent } from './custom-data-tables-page/custom-data-tables-page.component';
import { DeleteDataTableModalComponent } from './delete-data-table-modal/delete-data-table-modal.component';
import { MergeDataTablesModalComponent } from './merge-data-tables-modal/merge-data-tables-modal.component';
import { MergeOptionsModalComponent } from './merge-options-modal/merge-options-modal.component';
import { CdtDuplicateValuesAlertMessagePipe } from './pipes/cdt-duplicate-values-alert-message.pipe';
import { UpdateCustomDataTableModalComponent } from './update-custom-data-table-modal/update-custom-data-table-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule,
    ReferenceFieldsModule
  ],
  declarations: [
    CustomDataTablesPageComponent,
    AddCustomDataTableModalComponent,
    CustomDataTableDetailComponent,
    AddEditCustomOptionModalComponent,
    UpdateCustomDataTableModalComponent,
    DeleteDataTableModalComponent,
    CopyCustomDataTableModalComponent,
    MergeDataTablesModalComponent,
    CdtDuplicateValuesAlertMessagePipe,
    MergeOptionsModalComponent
  ]
})
export class CustomDataTablesModule { }
