import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { CustomDataTablesService } from '../custom-data-table.service';

@Injectable({ providedIn: 'root' })
export class CustomDataTableDetailResolver implements Resolve<void> {
  constructor (
    private customDataTableService: CustomDataTablesService
  ) { }

  async resolve (next: ActivatedRouteSnapshot) {
    const id = +next.paramMap.get('tableId');
    await this.customDataTableService.setCustomDataTableOptions(id);
  }
}
