import { Pipe, PipeTransform } from '@angular/core';
import { AdHocReportingUI } from '@core/typings/ui/ad-hoc-reporting.typing';
import { AdHocReportingMappingService } from '@features/reporting/services/ad-hoc-reporting-mapping.service';

@Pipe({ name: 'gcDashboardTableColumnDisplay' })
export class DashboardTableColumnDisplayPipe implements PipeTransform {

  constructor (
    private adHocMappingService: AdHocReportingMappingService
  ) { }

  transform (
    row: AdHocReportingUI.ReportResponseRow,
    column: AdHocReportingUI.ColumnImplementation,
    masked: boolean
  ) {
    return this.adHocMappingService.getValueForColumnFromRow(column.definition, row, masked);
  }

}
