import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { AudienceModule } from '@features/audience/audience.module';
import { MyWorkspaceModule } from '@features/my-workspace/my-workspace.module';
import { AdHocReportingModule } from '@features/reporting/ad-hoc-reporting.module';
import { YCCommonModule } from '@yourcause/common';
import { GridsterModule } from 'angular-gridster2';
import { NgChartsModule } from 'ng2-charts';
import { AddWidgetModalComponent } from './add-widget-modal/add-widget-modal.component';
import { DashboardManagerPageComponent } from './dashboard-manager-page/dashboard-manager-page.component';
import { DashboardNameModalComponent } from './dashboard-name-modal/dashboard-name-modal.component';
import { DashboardPreviewComponent } from './dashboard-preview/dashboard-preview.component';
import { DashboardTabActionsService } from './dashboard-tab-actions.service';
import { DashboardTableColumnDisplayPipe } from './dashboard-table-column-display.pipe';
import { DashboardWidgetComponent } from './dashboard-widget/dashboard-widget.component';
import { DashboardWrapperPageComponent } from './dashboard-wrapper-page/dashboard-wrapper-page.component';
import { ExpandedWidgetModalComponent } from './expanded-widget-modal/expanded-widget-modal.component';
import { HomeDashboardPageComponent } from './home-dashboard-page/home-dashboard-page.component';
import { HomeDashboardWidgetComponent } from './home-dashboard-widget/home-dashboard-widget.component';
import { ManageWidgetModalComponent } from './manage-widget-modal/manage-widget-modal.component';
import { DashboardSourceDisplayPipe } from './pipes/dashboard-source-display-pipe';
import { DashboardTypeDisplayPipe } from './pipes/dashboard-type-display.pipe';
import { GetTableWidgetPropPipe } from './pipes/get-table-widget-prop.pipe';
import { RemoveWidgetModalComponent } from './remove-widget-modal/remove-widget-modal.component';
import { ShareDashboardModalComponent } from './share-dashboard-modal/share-dashboard-modal.component';
import { TableColumnConfigComponent } from './table-column-config/table-column-config.component';
import { TableWidgetComponent } from './table-widget/table-widget.component';
import { WidgetDrilldownModalComponent } from './widget-drilldown-modal/widget-drilldown-modal.component';

@NgModule({
  imports: [
    NgChartsModule,
    AudienceModule,
    GridsterModule,
    GCCoreModule,
    YCCommonModule,
    MyWorkspaceModule,
    AdHocReportingModule
  ],
  // this is added to this module so that it can open the widget modals
  providers: [
    DashboardTabActionsService
  ],
  declarations: [
    HomeDashboardWidgetComponent,
    ShareDashboardModalComponent,
    DashboardManagerPageComponent,
    TableWidgetComponent,
    WidgetDrilldownModalComponent,
    HomeDashboardPageComponent,
    ManageWidgetModalComponent,
    AddWidgetModalComponent,
    DashboardSourceDisplayPipe,
    DashboardTypeDisplayPipe,
    TableColumnConfigComponent,
    DashboardWrapperPageComponent,
    DashboardNameModalComponent,
    DashboardPreviewComponent,
    DashboardWidgetComponent,
    DashboardTableColumnDisplayPipe,
    RemoveWidgetModalComponent,
    GetTableWidgetPropPipe,
    ExpandedWidgetModalComponent
  ]
})
export class DashboardsModule { }
