import { Pipe, PipeTransform } from '@angular/core';
import { RootObjectNames } from '@features/reporting/services/ad-hoc-reporting-definitions.service';
import { I18nService } from '@yourcause/common/i18n';


@Pipe({ name: 'gcDashboardSourceDisplay' })

export class DashboardSourceDisplayPipe implements PipeTransform {

  constructor (
    public i18n: I18nService
  ) { }

  transform (source: RootObjectNames): string {
    switch (source) {
      case 'application':
      default:
        return this.i18n.translate(
          'common:lblApplicationNomination',
          {},
          'Application / Nomination'
        );
      case 'applicationInKind':
        return this.i18n.translate(
          'common:hdrInKindAmountRequested',
          {},
          'In kind amount requested'
        );
      case 'award':
        return this.i18n.translate(
          'common:lblAward',
          {},
          'Award'
        );
      case 'awardInKind':
        return this.i18n.translate(
          'common:hdrInKindItemsAwarded',
          {},
          'In kind items awarded'
        );
      case 'customForm':
        return this.i18n.translate(
          'common:lblCustomForms',
          {},
          'Custom forms'
        );
      case 'payment':
        return this.i18n.translate(
          'common:lblPayment',
          {},
          'Payment'
        );
      case 'paymentInKind':
        return this.i18n.translate(
          'common:hdrInKindItemsPaid',
          {},
          'In kind items paid'
        );
    }
  }

}
