import { Component, Input } from '@angular/core';
import { AnalyticsService, EventType } from '@yourcause/common/analytics';
import { YCModalComponent } from '@yourcause/common/modals';
import { GCDashboards } from '../dashboards.typing';

@Component({
  selector: 'gc-remove-widget-modal',
  templateUrl: './remove-widget-modal.component.html',
  styleUrls: ['./remove-widget-modal.component.scss']
})
export class RemoveWidgetModalComponent extends YCModalComponent<{
  keepTemplate: boolean;
}> {
  @Input() widget: GCDashboards.WidgetConfigFromApi;

  constructor (
    private analyticsService: AnalyticsService
  ) {
    super();
  }

  onSave (keepTemplate = false) {
    this.closeModal.emit({
      keepTemplate
    });
    this.analyticsService.emitEvent({
      eventName: 'Remove widget modal save',
      eventType: EventType.Click,
      extras: null
    });
  }
}
