import { Component, Input } from '@angular/core';
import { AdHocReportingUI } from '@core/typings/ui/ad-hoc-reporting.typing';
import { RootObjectNames } from '@features/reporting/services/ad-hoc-reporting-definitions.service';
import { TableDataFactory } from '@yourcause/common';
import { YCModalComponent } from '@yourcause/common/modals';
import { DEFAULT_ROWS_PER_PAGE } from '../dashboards.typing';

@Component({
  selector: 'gc-widget-drilldown-modal',
  templateUrl: './widget-drilldown-modal.component.html',
  styleUrls: ['./widget-drilldown-modal.component.scss']
})
export class WidgetDrilldownModalComponent extends YCModalComponent<void> {
  @Input() modalHeader: string;
  @Input() object: RootObjectNames;
  @Input() drilldownValue: string;
  @Input() tableDataFactory: TableDataFactory<any>;
  @Input() rowsPerPage = DEFAULT_ROWS_PER_PAGE;
  @Input() drilldownColumns: AdHocReportingUI.ColumnImplementation[];
}
