import { Component, OnInit } from '@angular/core';
import { Validators } from '@angular/forms';
import { TypeSafeFormBuilder, TypeSafeFormGroup } from '@yourcause/common';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-create-document-template-modal',
  templateUrl: './create-document-template-modal.component.html',
  styleUrls: ['./create-document-template-modal.component.scss']
})
export class CreateDocumentTemplateModalComponent extends YCModalComponent<string> implements OnInit {
  formGroup: TypeSafeFormGroup<{ templateName: string }>;

  constructor (
    private formBuilder: TypeSafeFormBuilder
  ) {
    super();
  }

  ngOnInit () {
    this.formGroup = this.formBuilder.group({
      templateName: ['', Validators.required]
    });
  }
}
