import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { DocumentTemplateDetailPageComponent } from './document-template-detail-page/document-template-detail-page.component';
import { DocumentTemplatesTableComponent } from './document-templates-table/document-templates-table.component';
import { DocumentTemplateModule } from './document-templates.module';
import { DocumentTemplateDetailResolver } from './resolvers/document-template-detail.resolver';
import { InsertTokenResolver } from './resolvers/insert-token.resolver';


@NgModule({
  imports: [
    DocumentTemplateModule,
    RouterModule.forChild([{
      path: '',
      component: DocumentTemplatesTableComponent
    }, {
      path: 'detail/:id',
      component: DocumentTemplateDetailPageComponent,
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Manage',
        pageName: 'Document Template - Create/Edit'
      },
      resolve: {
        detail: DocumentTemplateDetailResolver,
        tokens: InsertTokenResolver
      }
    }])
  ]
})
export class DocumentTemplateRoutingModule { }
