import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { DocumentTemplateService } from '../document-template.service';

@Injectable({ providedIn: 'root' })
export class DocumentTemplateDetailResolver implements Resolve<void> {

  constructor (
    private documentTemplateService: DocumentTemplateService
  ) { }

  async resolve (nextRoute: ActivatedRouteSnapshot) {
    const id = +nextRoute.paramMap.get('id');
    await this.documentTemplateService.setDocumentTemplateDetail(id);
  }
}
