
import { Component, OnDestroy } from '@angular/core';
import { ModalFactory } from '@yourcause/common/modals';
import { distinctUntilChanged, Subscription } from 'rxjs';
import { EmployeeSSOFieldsService } from '../employee-sso-fields.service';
import { UpdateEmployeeSSOFieldsConfigurationModalComponent } from '../update-employee-sso-fields-configuration-modal/update-employee-sso-fields-configuration-modal.component';

@Component({
  selector: 'gc-employee-sso-fields-configuration-page',
  templateUrl: './employee-sso-fields-configuration-page.component.html',
  styleUrls: ['./employee-sso-fields-configuration-page.component.scss']
})
export class EmployeeSSOFieldsConfigurationPageComponent implements OnDestroy {
  sub = new Subscription();
  tableVisible = true;

  constructor (
    private modalFactory: ModalFactory,
    private employeeSSOFieldsService: EmployeeSSOFieldsService
  ) {
    this.sub.add(
      this.employeeSSOFieldsService.changesTo$('employeeSSOFields').pipe(
        distinctUntilChanged())
        .subscribe(() => {
          this.tableVisible = false;
          setTimeout(() => {
            this.tableVisible = true;
          });
        })
    );
  }

  get employeeSSOFields () {
    return this.employeeSSOFieldsService.employeeSSOFields;
  }

  get employeeSSOFieldData () {
    return this.employeeSSOFieldsService.employeeSSOFieldData;
  }

  async updateConfigModal () {
    await this.modalFactory.open(
      UpdateEmployeeSSOFieldsConfigurationModalComponent,
      {}
    );
  }

  ngOnDestroy () {
    this.sub.unsubscribe();
  }
}
