import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { EmployeeSSOFieldsConfigurationPageComponent } from './employee-sso-fields-configuration-page/employee-sso-fields-configuration-page.component';
import { EmployeeSSOFieldsModule } from './employee-sso-fields.module';
import { EmployeeSSOFieldsConfigurationResolver } from './resolvers/employee-sso-fields-configuration.resolver';
import { EmployeeSSOFieldsDataResolver } from './resolvers/employee-sso-fields-data.resolver';


@NgModule({
  imports: [
    EmployeeSSOFieldsModule,
    RouterModule.forChild([{
      path: '',
      component: EmployeeSSOFieldsConfigurationPageComponent,
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Employee SSO Field Configuration',
        namespace: ['CONFIG'],
        pageName: 'Employee SSO Field Configuration'
      },
      resolve: {
        locale: LocaleResolver,
        customColumnData: EmployeeSSOFieldsDataResolver,
        customColumnConfig: EmployeeSSOFieldsConfigurationResolver
      }
    }])
  ]
})
export class EmployeeSSOFieldsRoutingModule { }



