export enum EmployeeSSOFields {
  Region = 1,
  EmployeeTypeCode = 2,
  ReportGroupName = 3, // business unit
  Division = 4,
  DepartmentName = 5,
  CustomChar1 = 6,
  CustomChar2 = 7,
  CustomChar3 = 8,
  CustomChar4 = 9,
  CustomChar5 = 10,
  CustomChar6 = 11,
  CustomChar7 = 12,
  CustomChar8 = 13,
  CustomChar9 = 14,
  CustomChar10 = 15,
  ExternalEmployeeId2	= 16,
  FullTimeCodeId = 17,
  HireDate = 18,
  JobCodeId	= 19,
  SiteCodeId = 20,
  ExternalEmployeeId = 21
}

export const DATE_SSO_FIELDS = [
  'hireDate'
];

export interface EmployeeSSOField {
  name?: string;
  inUse: boolean;
  column: EmployeeSSOFields;
  columnName?: string;
  attr?: string;
  type?: 'text'|'date';
}

export interface EmployeeSSOFieldFromApi {
  name: string;
  inUse: boolean;
  column: EmployeeSSOFields;
}

export interface EmployeeSSOFieldsData {
  region: string;
  employeeTypeCode: string;
  reportGroupName: string;
  division: string;
  departmentName: string;
  customChar1: string;
  customChar2: string;
  customChar3: string;
  customChar4: string;
  customChar5: string;
  customChar6: string;
  customChar7: string;
  customChar8: string;
  customChar9: string;
  customChar10: string;
  externalEmployeeId2: string;
  fullTimeCodeId: string;
  hireDate: string;
  jobCodeId: string;
  siteCodeId: string;
  externalEmployeeId: string;
}

export interface EmployeeSSOFieldBulkFromApi extends EmployeeSSOFieldsData {
  applicationId: number;
}
