import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ExternalAPIConfigurationPageComponent } from './external-api-configuration-page/external-api-configuration-page.component';
import { ExternalAPIModule } from './external-api.module';
import { InboundApisTableComponent } from './inbound-apis-table/inbound-apis-table.component';
import { OutboundApisTableComponent } from './outbound-apis-table/outbound-apis-table.component';

@NgModule({
  imports: [
    ExternalAPIModule,
    RouterModule.forChild([{
      path: '',
      component: ExternalAPIConfigurationPageComponent,
      children: [{
        path: 'inbound',
        component: InboundApisTableComponent,
        data: {
          breadcrumbLabel: 'API Configuration',
          breadcrumb: true,
          pageName: 'API Configuration - External APIs'
        }
      }, {
        path: 'outbound',
        component: OutboundApisTableComponent,
        data: {
          breadcrumbLabel: 'API Configuration',
          breadcrumb: true,
          pageName: 'API Configuration - Grants Connect APIs'
        }
      }, {
        path: '',
        pathMatch: 'exact',
        redirectTo: 'inbound'
      }]
    }])
  ]
})
export class ExternalAPIRoutingModule { }
