import { DragDropModule } from '@angular/cdk/drag-drop';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { LogicBuilderModule } from '@features/logic-builder/logic-builder.module';
import { AdHocReportingModule } from '@features/reporting/ad-hoc-reporting.module';
import { YCCommonModule } from '@yourcause/common';
import { ExpandableToolboxModule } from '@yourcause/common/expandable-toolbox';
import { FormBuilderEditComponentsModule } from './component-configuration/form-builder-edit-components.module';
import { FormBuilderComponent } from './form-builder/form-builder/form-builder.component';
import { FormResponseComponent } from './form-renderer/form-response/form-response.component';
import { GcFormInstanceComponent } from './form-renderer/gc-form-instance/gc-form-instance.component';
import { GcFormRendererComponent } from './form-renderer/gc-form-renderer/gc-form-renderer.component';
import { GcFormioErrorSummaryComponent } from './form-renderer/gc-formio-error-summary/gc-formio-error-summary.component';
import { BaseFormioComponent } from './formio-components/base/base.component';
import { FormioReferenceFieldsModule } from './formio-components/reference-fields/formio-reference-fields.module';
import { StandardFormioComponentsModule } from './formio-components/standard-formio-components/standard-formio-components.module';
import { FilterHiddenTabsPipe } from './pipes/filter-hidden-tabs.pipe';
import { FlattenFormDefinitionPipe } from './pipes/flatten-form-definition.pipe';

@NgModule({
  imports: [
    ExpandableToolboxModule,
    DragDropModule,
    GCCoreModule,
    YCCommonModule,
    LogicBuilderModule,
    AdHocReportingModule,
    StandardFormioComponentsModule,
    FormioReferenceFieldsModule,
    FormBuilderEditComponentsModule
  ],
  declarations: [
    FormBuilderComponent,
    FormResponseComponent,
    BaseFormioComponent,
    FilterHiddenTabsPipe,
    GcFormRendererComponent,
    GcFormInstanceComponent,
    GcFormioErrorSummaryComponent,
    FlattenFormDefinitionPipe
  ],
  exports: [
    FormBuilderComponent,
    FormResponseComponent,
    GcFormRendererComponent,
    GcFormInstanceComponent,
    GcFormioErrorSummaryComponent
  ]
})
export class AngularFormioModule { }
