import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { FormBuilderComponentActionsComponent } from '@features/formio/form-builder/form-builder-component-actions/form-builder-component-actions.component';
import { FormBuilderDragPreviewComponent } from '@features/formio/form-builder/form-builder-drag-preview/form-builder-drag-preview.component';
import { FormBuilderEmptyContainerComponent } from '@features/formio/form-builder/form-builder-empty-container/form-builder-empty-container.component';
import { GetFilterTypeFromTableColumn } from '../../pipes/get-filter-type-from-table-column.pipe';
import { GetFormattedTableResponsePipe } from '../../pipes/get-formatted-table-response.pipe';
import { FormioComponentDisplayComponent } from '../formio-component-display/formio-component-display.component';
import { BaseLayoutComponent } from '../layout-formio-components/base-layout-component/base-layout.component';
import { GcColumnsComponent } from '../layout-formio-components/gc-columns/gc-columns.component';
import { GcContentComponent } from '../layout-formio-components/gc-content/gc-content.component';
import { GcFieldSetComponent } from '../layout-formio-components/gc-field-set/gc-field-set.component';
import { GcGridComponent } from '../layout-formio-components/gc-grid/gc-grid.component';
import { GcPanelComponent } from '../layout-formio-components/gc-panel/gc-panel.component';
import { GcWellComponent } from '../layout-formio-components/gc-well/gc-well.component';
import { GetColumnClassPipe } from '../layout-formio-components/pipes/get-column-class.pipe';
import { StandardFormioComponentsModule } from '../standard-formio-components/standard-formio-components.module';
import { GcCustomDataTableComponent } from './gc-custom-data-table/gc-custom-data-table.component';
import { GCDataSetComponent } from './gc-data-set-field/gc-data-set-field.component';
import { ExternalAPIFieldComponent } from './gc-external-api-field/gc-external-api-field.component';
import { GCReferenceFieldComponent } from './gc-reference-field/gc-reference-field.component';
import { GcTableFieldComponent } from './tables/gc-table-field/gc-table-field.component';
import { ImportTableRowsModalComponent } from './tables/import-table-rows-modal/import-table-rows-modal.component';
import { TableFieldCrudModalComponent } from './tables/table-field-crud-modal/table-field-crud-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    StandardFormioComponentsModule
  ],
  declarations: [
    FormBuilderComponentActionsComponent,
    FormBuilderEmptyContainerComponent,
    GcCustomDataTableComponent,
    ExternalAPIFieldComponent,
    GCReferenceFieldComponent,
    GcTableFieldComponent,
    ImportTableRowsModalComponent,
    TableFieldCrudModalComponent,
    GCDataSetComponent,
    GetFilterTypeFromTableColumn,
    GetFormattedTableResponsePipe,
    FormioComponentDisplayComponent,
    GcContentComponent,
    BaseLayoutComponent,
    GcWellComponent,
    GcColumnsComponent,
    GcPanelComponent,
    GcGridComponent,
    GcFieldSetComponent,
    GetColumnClassPipe,
    FormBuilderDragPreviewComponent
  ],
  exports: [
    FormBuilderComponentActionsComponent,
    FormBuilderEmptyContainerComponent,
    GcCustomDataTableComponent,
    ExternalAPIFieldComponent,
    GCReferenceFieldComponent,
    GcTableFieldComponent,
    ImportTableRowsModalComponent,
    TableFieldCrudModalComponent,
    GCDataSetComponent,
    GetFilterTypeFromTableColumn,
    GetFormattedTableResponsePipe,
    FormioComponentDisplayComponent,
    GcContentComponent,
    GcWellComponent,
    BaseLayoutComponent,
    GcColumnsComponent,
    GcPanelComponent,
    GcGridComponent,
    GcFieldSetComponent,
    GetColumnClassPipe,
    FormBuilderDragPreviewComponent
  ]
})
export class FormioReferenceFieldsModule { }
