import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { GetValidationStateValuePipe } from '@features/formio/pipes/get-validation-state-value.pipe';
import { GcAmountRequestedComponent } from './gc-amount-requested/gc-amount-requested.component';
import { GcAttentionComponent } from './gc-attention/gc-attention.component';
import { GCDecisionComponent } from './gc-decision/gc-decision.component';
import { GcDesignationComponent } from './gc-designation/gc-designation.component';
import { GcEmployeeSSOFieldComponent } from './gc-employee-sso-field/gc-employee-sso-field.component';
import { GCInKindAmountRequestedComponent } from './gc-in-kind-amount-requested/gc-in-kind-amount-requested.component';
import { GcRecommendedFundingAmountComponent } from './gc-recommended-funding-amount/gc-recommended-funding-amount.component';
import { AdHocReportFieldComponent } from './gc-report-field/gc-report-field.component';
import { GcSpecialHandlingComponent } from './gc-special-handling/gc-special-handling.component';

@NgModule({
  imports: [
    GCCoreModule
  ],
  declarations: [
    GcAmountRequestedComponent,
    GcAttentionComponent,
    GCDecisionComponent,
    GcDesignationComponent,
    GcEmployeeSSOFieldComponent,
    GCInKindAmountRequestedComponent,
    GcRecommendedFundingAmountComponent,
    GcSpecialHandlingComponent,
    AdHocReportFieldComponent,
    GetValidationStateValuePipe
  ],
  exports: [
    GcAmountRequestedComponent,
    GcAttentionComponent,
    GCDecisionComponent,
    GcDesignationComponent,
    GcEmployeeSSOFieldComponent,
    GCInKindAmountRequestedComponent,
    GcRecommendedFundingAmountComponent,
    GcSpecialHandlingComponent,
    AdHocReportFieldComponent,
    GetValidationStateValuePipe
  ]
})
export class StandardFormioComponentsModule { }
