import { Pipe, PipeTransform } from '@angular/core';
import { BaseApplicationForLogic, FormTab } from '@features/configure-forms/form.typing';
import { LogicState } from '@features/logic-builder/logic-builder.typing';
import { FormHelperService } from '../services/form-helper/form-helper.service';

@Pipe({
  name: 'gcFilterHiddenTabs'
})
export class FilterHiddenTabsPipe implements PipeTransform {

  constructor (
    private formHelperService: FormHelperService
  ) { }

  transform (
    tabs: FormTab[],
    validationState: LogicState<BaseApplicationForLogic, boolean>
  ) {
    const filtered =  this.formHelperService.filterHiddenTabs(
      tabs,
      validationState
    );

    return filtered;
  }
}
