import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';
import { ReferenceFieldsService } from '@features/reference-fields/services/reference-fields.service';

@Pipe({
  name: 'getFilterTypeFromTableColumn',
  pure: true
})
export class GetFilterTypeFromTableColumn implements PipeTransform {

  constructor (
    private referenceFieldService: ReferenceFieldsService
  ) { }

  transform (
    column: ReferenceFieldsUI.TableFieldForUi
  ): string {
    const field = this.referenceFieldService.referenceFieldMapById[
      column.referenceFieldId
    ];
    switch (field.type) {
      case ReferenceFieldsUI.ReferenceFieldTypes.Date:
        return 'date';
      case ReferenceFieldsUI.ReferenceFieldTypes.Number:
        return 'number';
      default:
        return 'text';
    }
  }
}
