import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';
import { FormioAnswerValues } from '@features/configure-forms/form.typing';
import { ReferenceFieldsService } from '@features/reference-fields/services/reference-fields.service';

@Pipe({
  name: 'gcGetFormattedTableResponse'
})
export class GetFormattedTableResponsePipe implements PipeTransform {

  constructor (
    private referenceFieldService: ReferenceFieldsService
  ) { }

  transform (
    row: ReferenceFieldsUI.TableResponseRowForUiMapped,
    column: ReferenceFieldsUI.TableFieldForUi,
    value: FormioAnswerValues
  ) {
    return this.referenceFieldService.formatTableResponse(
      row,
      column,
      value
    );
  }
}
