import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { AdHocReportingUI } from '@core/typings/ui/ad-hoc-reporting.typing';

@Injectable({ providedIn: 'root'})
export class ReportFieldResources {
  constructor (
    private http: HttpRestService
  ) { }

  getReportFieldResponse (
    portal: 'portal'|'manager',
    applicationId: number
  ): Promise<AdHocReportingUI.ReportResponseRow> {
    const endpoint = `api/${portal}/applications/${applicationId}/applicationData`;

    return this.http.get(endpoint);
  }

  getReportFieldResponsesBulk (
    applicationIds: number[]
  ): Promise<AdHocReportingUI.ReportResponseRow[]> {
    const endpoint = 'api/manager/applications/BulkApplicationData';

    return this.http.post(endpoint, {
      applicationIds
    });
  }
}
