import { Component } from '@angular/core';
import { SpinnerService } from '@core/services/spinner.service';
import { BudgetService } from '@features/budgets/budget.service';
import { Tab } from '@yourcause/common';
import { ModalFactory } from '@yourcause/common/modals';
import { AddEditFundingSourceModalComponent } from '../add-edit-funding-source-modal/add-edit-funding-source-modal.component';

@Component({
  selector: 'gc-funding-source-wrapper',
  templateUrl: 'funding-source-wrapper.component.html'
})

export class FundingSourceWrapperComponent {
  tabs: Tab[] = [{
    link: '/management/program-setup/funding-sources/open',
    labelKey: 'BUDGET:textOpenSources',
    label: 'Open Sources'
  }, {
    link: '/management/program-setup/funding-sources/closed',
    labelKey: 'BUDGET:textClosedSources',
    label: 'Closed Sources'
  }];

  constructor (
    private modalFactory: ModalFactory,
    private spinnerService: SpinnerService,
    private budgetService: BudgetService
  ) { }

  async addFundingSource () {
    const response = await this.modalFactory.open(
      AddEditFundingSourceModalComponent,
      {}
    );
    if (response) {
      this.spinnerService.startSpinner();
      await this.budgetService.saveFundingSource(response);
      await this.budgetService.resetFundingSources();
      this.spinnerService.stopSpinner();
    }
  }
}
