import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { SimpleBudgetFundingSource } from '@core/typings/budget.typing';
import { BudgetResources } from '@features/budgets/budget.resources';
import { BudgetService } from '@features/budgets/budget.service';

@Injectable({
  providedIn: 'root'
})
export class BudgetFundingSourceResolver implements Resolve<SimpleBudgetFundingSource[]> {
  constructor (
    private budgetService: BudgetService,
    private budgetResources: BudgetResources
  ) { }
  async resolve () {
    const sources = await this.budgetResources.getBudgetFundingSources();
    this.budgetService.setBudgetFundingSources(sources);

    return sources;
  }
}
