import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { InKindCategoriesPageComponent } from './in-kind-categories-page/in-kind-categories-page.component';
import { InKindCategoryDetailPageComponent } from './in-kind-category-detail-page/in-kind-category-detail-page.component';
import { InKindModule } from './in-kind.module';
import { TranslateInKindItemsPageComponent } from './translate-in-kind-items-page/translate-in-kind-items-page.component';


@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule,
    InKindModule,
    RouterModule.forChild([{
      path: '',
      component: InKindCategoriesPageComponent,
      resolve: {
        locale: LocaleResolver
      },
      data: {
        namespace: ['CONFIG']
      }
    }, {
      path: '',
      children: [{
        path: 'detail/:id',
        component: InKindCategoryDetailPageComponent,
        data: {
          breadcrumbLabel: 'Category Detail',
          breadcrumb: true,
          pageName: 'In Kind - Category Detail'
        }
      }]
    }, {
      path: 'translate-items',
      component: TranslateInKindItemsPageComponent,
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Translation',
        pageName: 'In Kind - Translation'
      }
    }])
  ]
})
export class InKindRoutingModule { }
