import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { InKindService } from '../in-kind.service';

@Injectable({ providedIn: 'root' })
export class InKindResolver implements Resolve<void> {

  constructor (
    private inKindService: InKindService
  ) { }

  get allCategoryIds () {
    return this.inKindService.categories.map(cat => cat.id);
  }

  async resolve () {
    await this.inKindService.setCategories();
    await this.inKindService.setInKindHelperInfo();
  }
}
