import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { GCCoreModule } from '@core/_core.module';
import { InsightsModule } from '../insights.module';
import { AwardInsightsPageComponent } from './award-insights-page/award-insights-page.component';

@NgModule({
  imports: [
    GCCoreModule,
    InsightsModule,
    RouterModule.forChild([{
      path: '',
      component: AwardInsightsPageComponent,
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Awards',
        namespace: ['AWARDS'],
        pageName: 'Insights - Awards'
      },
      resolve: {
        locale: LocaleResolver
      }
    }, {
        path: 'applicant-profile',
        loadChildren: () => import('@features/applicant/applicant-routing.module').then(m => m.ApplicantRoutingModule)
    }, {
        path: 'nonprofit',
        loadChildren: () => import('@features/nonprofit/nonprofit-routing.module').then(m => m.NonprofitRoutingModule)
    }])
  ]
})
export class AwardInsightsRoutingModule { }
