import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { BudgetService } from '@features/budgets/budget.service';

@Injectable({ providedIn: 'root' })
export class FundingSourceDashboardResolver implements Resolve<boolean> {
  constructor (
    private budgetService: BudgetService
  ) { }

  async resolve (next: ActivatedRouteSnapshot) {
    const id = next.params.id;
    await this.budgetService.setFundingSourceForDashboard(id);

    return true;
  }
}
