import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { GCCoreModule } from '@core/_core.module';
import { InsightsModule } from '../insights.module';
import { FundingSourceDashboardComponent } from './funding-source-dashboard/funding-source-dashboard.component';
import { FundingSourceInsightsPageComponent } from './funding-source-insights-page/funding-source-insights-page.component';
import { FundingSourceDashboardResolver } from './funding-sources-dashboard.resolver';

@NgModule({
  imports: [
    GCCoreModule,
    InsightsModule,
    RouterModule.forChild([{
      path: '',
      component: FundingSourceInsightsPageComponent,
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Funding Sources',
        pageName: 'Funding Sources'
      }
    }, {
      path: 'nonprofit',
      loadChildren: () => import('@features/nonprofit/nonprofit-routing.module').then(m => m.NonprofitRoutingModule)
    }, {
      path: 'applicant-profile',
      loadChildren: () => import('@features/applicant/applicant-routing.module').then(m => m.ApplicantRoutingModule)
    }, {
      path: '',
      children: [{
        path: 'funding-source/:id',
        component: FundingSourceDashboardComponent,
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Funding Source',
          pageName: 'Funding Source Insights - Payments'
        },
        resolve: {
          fundingSourceDashboard: FundingSourceDashboardResolver
        }
      }]
    }])
  ]
})
export class FundingSourcesInsightsRoutingModule { }
