import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicationManagerModule } from '@features/application-manager/application-manager.module';
import { PaymentDisplayHelpersModule } from '@features/payment-display-helpers/payment-display-helpers.module';
import { ApplicantInsightsPageComponent } from './applicants/applicant-insights-page/applicant-insights-page.component';
import { ApplicantTop10Component } from './applicants/applicant-top-10/applicant-top-10.component';
import { ApplicantTopLevelBlockComponent } from './applicants/applicant-top-level-block/applicant-top-level-block.component';
import { ApplicantTopLevelPieComponent } from './applicants/applicant-top-level-pie/applicant-top-level-pie.component';
import { ApplicantsListComponent } from './applicants/applicants-list/applicants-list.component';
import { AwardInsightsDrilldownComponent } from './awards/award-insights-drilldown/award-insights-drilldown.component';
import { AwardInsightsPageComponent } from './awards/award-insights-page/award-insights-page.component';
import { AwardListComponent } from './awards/award-list/award-list.component';
import { AwardTopLevelBlockComponent } from './awards/award-top-level-block/award-top-level-block.component';
import { AwardTopLevelPieChartComponent } from './awards/award-top-level-pie-chart/award-top-level-pie-chart.component';
import { BudgetDashboardComponent } from './budgets/budget-dashboard/budget-dashboard.component';
import { BudgetTopLevelPieChartComponent } from './budgets/budget-top-level-pie-chart/budget-top-level-pie-chart.component';
import { BudgetsInsightsPageComponent } from './budgets/budgets-insights-page/budgets-insights-page.component';
import { FundingSourceDashboardComponent } from './funding-sources/funding-source-dashboard/funding-source-dashboard.component';
import { FundingSourceInsightsPageComponent } from './funding-sources/funding-source-insights-page/funding-source-insights-page.component';
import { InsightsPageComponent } from './insights-page/insights-page.component';
import { OrganizationClassificationsComponent } from './organizations/organization-classifications/organization-classifications.component';
import { OrganizationInsightsPageComponent } from './organizations/organization-insights-page/organization-insights-page.component';
import { OrganizationTop10Component } from './organizations/organization-top-10/organization-top-10.component';
import { OrganizationTopLevelBlockComponent } from './organizations/organization-top-level-block/organization-top-level-block.component';
import { OrganizationTopLevelPieComponent } from './organizations/organization-top-level-pie/organization-top-level-pie.component';
import { OrganizationsListComponent } from './organizations/organizations-list/organizations-list.component';
import { PaymentsInsightsTableComponent } from './payments/payments-insights-table/payments-insights-table.component';
import { ApplicantsTabComponent } from './program-manager/program-dashboard/applicants-tab/applicants-tab.component';
import { ApplicationsTabComponent } from './program-manager/program-dashboard/applications-tab/applications-tab.component';
import { AwardsTabComponent } from './program-manager/program-dashboard/awards-tab/awards-tab.component';
import { OrganizationsTabComponent } from './program-manager/program-dashboard/organizations-tab/organizations-tab.component';
import { PaymentStatusBlockComponent } from './program-manager/program-dashboard/payment-status-block/payment-status-block.component';
import { PaymentsTabComponent } from './program-manager/program-dashboard/payments-tab/payments-tab.component';
import { ProgramDashboardPageComponent } from './program-manager/program-dashboard/program-dashboard-page/program-dashboard-page.component';
import { ProgramStatusBlockComponent } from './program-manager/program-dashboard/program-status-block/program-status-block.component';
import { ProgramInsightsPageComponent } from './program-manager/program-insights-page/program-insights-page.component';
import { ProgramTopLevelBlockComponent } from './program-manager/program-top-level-block/program-top-level-block.component';

@NgModule({
  imports: [
    GCCoreModule,
    PaymentDisplayHelpersModule,
    ApplicationManagerModule
  ],
  declarations: [
    InsightsPageComponent,
    BudgetsInsightsPageComponent,
    BudgetTopLevelPieChartComponent,
    ApplicantInsightsPageComponent,
    AwardTopLevelPieChartComponent,
    AwardInsightsPageComponent,
    FundingSourceInsightsPageComponent,
    FundingSourceDashboardComponent,
    OrganizationInsightsPageComponent,
    BudgetDashboardComponent,
    ApplicantTopLevelPieComponent,
    PaymentsInsightsTableComponent,
    OrganizationTopLevelPieComponent,
    AwardInsightsDrilldownComponent,
    ProgramDashboardPageComponent,
    ProgramInsightsPageComponent,
    ApplicantsTabComponent,
    PaymentsTabComponent,
    ApplicantsListComponent,
    OrganizationsTabComponent,
    OrganizationsListComponent,
    ApplicantTopLevelBlockComponent,
    ApplicantTop10Component,
    OrganizationTopLevelBlockComponent,
    OrganizationClassificationsComponent,
    OrganizationTop10Component,
    AwardTopLevelBlockComponent,
    AwardListComponent,
    AwardsTabComponent,
    ProgramStatusBlockComponent,
    ApplicationsTabComponent,
    ProgramTopLevelBlockComponent,
    PaymentStatusBlockComponent
  ]
})
export class InsightsModule { }
