import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { GCCoreModule } from '@core/_core.module';
import { InsightsModule } from '../insights.module';
import { OrganizationInsightsPageComponent } from './organization-insights-page/organization-insights-page.component';

@NgModule({
  imports: [
    GCCoreModule,
    InsightsModule,
    RouterModule.forChild([{
      path: '',
      component: OrganizationInsightsPageComponent,
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Organizations',
        namespace: ['nonprofit'],
        pageName: 'Insights - Organizations'
      },
      resolve: {
        locale: LocaleResolver
      }
    }, {
        path: 'nonprofit',
        loadChildren: () => import('@features/nonprofit/nonprofit-routing.module').then(m => m.NonprofitRoutingModule)
    }, {
        path: 'applicant-profile',
        loadChildren: () => import('@features/applicant/applicant-routing.module').then(m => m.ApplicantRoutingModule)
    }])
  ]
})
export class OrganizationInsightsRoutingModule { }
