import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ProgramService } from '@features/programs/program.service';

@Component({
  selector: 'gc-organizations-tab',
  templateUrl: './organizations-tab.component.html',
  styleUrls: ['./organizations-tab.component.scss']
})

export class OrganizationsTabComponent implements OnInit {
  id: number;

  constructor (
    private activatedRoute: ActivatedRoute,
    private programService: ProgramService
  ) { }

  get cycleIds () {
    return this.programService.currentProgramDashCycleIds;
  }

  get isNomination () {
    return location.pathname.includes('nomination');
  }

  ngOnInit () {
    this.id = this.activatedRoute.snapshot.parent.params.id;
  }
}
