import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { PolicyService } from '@core/services/policy.service';
import { ProgramService } from '@features/programs/program.service';

@Injectable({ providedIn: 'root' })
export class ProgramInsightsResolver implements Resolve<void> {

  constructor (
    private programService: ProgramService,
    private policyService: PolicyService
  ) { }

  async resolve () {
    await this.programService.setProgramsForDashboard();
    if (!this.policyService.grantApplication.canSeeMaskedApplicants()) {
      await this.programService.setProgramsForDashboard(true);
    }
  }
}
