import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { DistributionListTabComponent } from './distribution-list-tab/distribution-list-tab.component';
import { InvitationModule } from './invitation.module';
import { InvitationsTabComponent } from './invitations-tab/invitations-tab.component';
import { InvitationsWrapperPageComponent } from './invitations-wrapper-page/invitations-wrapper-page.component';
import { ManageDistributionListComponent } from './manage-distribution-list/manage-distribution-list.component';
import { SchedulesTabComponent } from './schedules-tab/schedules-tab.component';

@NgModule({
  imports: [
    InvitationModule,
    RouterModule.forChild([{
      path: '',
      component: InvitationsWrapperPageComponent,
      children: [{
        path: 'invitations-list',
        component: InvitationsTabComponent,
        data: {
          breadcrumbLabel: 'Invitations',
          breadcrumb: true,
          pageName: 'Invitations Tab'
        }
      }, {
        path: 'distribution-list',
        component: DistributionListTabComponent,
        data: {
          breadcrumbLabel: 'Distribution Lists',
          breadcrumb: true,
          pageName: 'Distribution Lists Tab'
        }
      }, {
        path: 'schedule-list',
        component: SchedulesTabComponent,
        data: {
          breadcrumbLabel: 'Schedules',
          breadcrumb: true,
          pageName: 'Schedules Tab'
        }
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'invitations-list'
      }]
    }, {
      path: 'distribution/:id',
      component: ManageDistributionListComponent,
      children: [{
        path: 'included',
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Manage Distribution List',
          pageName: 'Distribution List Tab'
        }
      }, {
        path: 'available',
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Manage Distribution List',
          pageName: 'Available Applicants Tab'
        }
      }]
    }])
  ]
})
export class InvitationRoutingModule { }
