import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicantModule } from '@features/applicant/applicant.module';
import { SelectEmailTemplateModule } from '@features/system-emails/select-email-template/select-email-template.module';
import { AvailableApplicantsTableComponent } from './available-applicants-table/available-applicants-table.component';
import { DistributionListApplicantsTableComponent } from './distribution-list-applicants-table/distribution-list-applicants-table.component';
import { DistributionListImportModalComponent } from './distribution-list-import-modal/distribution-list-import-modal.component';
import { DistributionListModalComponent } from './distribution-list-modal/distribution-list-modal.component';
import { DistributionListTabComponent } from './distribution-list-tab/distribution-list-tab.component';
import { InvitationsTabComponent } from './invitations-tab/invitations-tab.component';
import { InvitationsWrapperPageComponent } from './invitations-wrapper-page/invitations-wrapper-page.component';
import { InviteesModalComponent } from './invitees-modal/invitees-modal.component';
import { ManageDistributionListComponent } from './manage-distribution-list/manage-distribution-list.component';
import { ResendInvitationModalComponent } from './resend-invitation-modal/resend-invitation-modal.component';
import { SchedulesTabComponent } from './schedules-tab/schedules-tab.component';
import { SendInvitationModalComponent } from './send-invitation-modal/send-invitation-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    SelectEmailTemplateModule,
    ApplicantModule
  ],
  declarations: [
    InvitationsWrapperPageComponent,
    InvitationsTabComponent,
    DistributionListTabComponent,
    SchedulesTabComponent,
    ResendInvitationModalComponent,
    SendInvitationModalComponent,
    DistributionListModalComponent,
    ManageDistributionListComponent,
    DistributionListApplicantsTableComponent,
    AvailableApplicantsTableComponent,
    InviteesModalComponent,
    DistributionListImportModalComponent
  ]
})
export class InvitationModule { }
