import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { MyApplicationsResolver } from '@core/resolvers/my-applications.resolver';
import { GCCoreModule } from '@core/_core.module';
import { MyApplicationsPageComponent } from './my-applications-page/my-applications-page.component';
import { MyApplicationsModule } from './my-applications.module';

@NgModule({
  imports: [
    GCCoreModule,
    MyApplicationsModule,
    RouterModule.forChild([{
      path: '',
      component: MyApplicationsPageComponent,
      resolve: {
        myApps: MyApplicationsResolver,
        locale: LocaleResolver
      },
      data: {
        namespace: 'APPLY',
        pageName: 'Applicant - My Applications'
      }
    }])
  ]
})
export class MyApplicationsRoutingModule { }
