import { Component, Input } from '@angular/core';
import { Router } from '@angular/router';
import { TranslationService } from '@core/services/translation.service';
import { MyApplicationFromApi } from '@core/typings/application.typing';

@Component({
  selector: 'gc-revision-alerts',
  templateUrl: './revision-alerts.component.html',
  styleUrls: ['./revision-alerts.component.scss']
})
export class RevisionAlertsComponent {
  @Input() revisionAlerts: MyApplicationFromApi[];
  portalTranslations = this.translationService.viewTranslations;
  programTranslationMap = this.portalTranslations.Grant_Program;
  formTranslationMap = this.portalTranslations.FormTranslation;

  constructor (
    private router: Router,
    private translationService: TranslationService
  ) { }

  reviseForm (application: MyApplicationFromApi) {
    this.router.navigateByUrl(
      `/apply/application/${application.applicationId}/forms/${application.applicationForms[0].formId}`
    );
  }
}
