import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ApplicationManagerResolver } from '@features/application-manager/resolvers/application-manager.resolver';
import { AllActiveManagerProgramsResolver } from '@features/programs/resolvers/all-active-manager-programs.resolver';
import { SystemTagsResolver } from '@features/system-tags/resolvers/system-tags.resolver';
import { EditFilterPageComponent } from './edit-filter-page/edit-filter-page.component';
import { ManageFitlersPageComponent } from './manage-filters-page/manage-filters-page.component';
import { MyFilterModule } from './my-filters.module';
import { FilterDetailResolver } from './resolvers/filter-detail.resolver';
import { MyFiltersResolver } from './resolvers/my-filters.resolver';

@NgModule({
  imports: [
    MyFilterModule,
    RouterModule.forChild([{
      path: '',
      component: ManageFitlersPageComponent,
      data: {
        breadcrumbLabel: 'Manage Filters',
        breadcrumb: true,
        pageName: 'Manage Filters'
      },
      resolve: {
        myFilters: MyFiltersResolver,
        tags: SystemTagsResolver
      }
    }, {
      path: ':id',
      component: EditFilterPageComponent,
      data: {
        breadcrumbLabel: 'Manage Filter',
        breadcrumb: true,
        pageName: 'Manage Filter'
      },
      resolve: {
        detail: FilterDetailResolver,
        appManager: ApplicationManagerResolver,
        allManagerProgs: AllActiveManagerProgramsResolver,
        tags: SystemTagsResolver
      }
    }])
  ]
})
export class MyFilterRoutingModule { }
