import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { MyFilterService } from '../my-filters.service';

@Injectable({ providedIn: 'root' })
export class FilterDetailResolver implements Resolve<void> {

  constructor (
    private myFilterService: MyFilterService
  ) { }

  async resolve (next: ActivatedRouteSnapshot) {
    await this.myFilterService.setMyFilters();
    const id = +next.params.id;
    await this.myFilterService.setFilterDetail(id);
  }
}
