import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { InKindResolver } from '@features/in-kind/resolvers/in-kind.resolver';
import { AllActiveManagerProgramsResolver } from '@features/programs/resolvers/all-active-manager-programs.resolver';
import { MyWorkspacePageComponent } from './my-workspace-page/my-workspace-page.component';
import { MyWorkspaceModule } from './my-workspace.module';
import { SummaryFacetsResolver } from './resolvers/summary-facets.resolver';


@NgModule({
  imports: [
    MyWorkspaceModule,
    RouterModule.forChild([{
      path: '',
      component: MyWorkspacePageComponent,
      resolve: {
        locale: LocaleResolver,
        activeManagerPrograms: AllActiveManagerProgramsResolver,
        inKind: InKindResolver,
        summaryFacets: SummaryFacetsResolver
      },
      data: {
        namespace: ['TODAY', 'APPLY', 'nonprofits'],
        pageName: 'My Workspace'
      }
    }])
  ]
})
export class MyWorkspaceRoutingModule { }
