import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicationManagerModule } from '@features/application-manager/application-manager.module';
import { CommunicationsModule } from '@features/communications/communications.module';
import { SystemTagsModule } from '@features/system-tags/system-tags.module';
import { NonprofitApplicantsComponent } from './nonprofit-applicants/nonprofit-applicants.component';
import { NonprofitApplicationsComponent } from './nonprofit-applications/nonprofit-applications.component';
import { NonprofitAwardsComponent } from './nonprofit-awards/nonprofit-awards.component';
import { NonprofitCommunicationsPageComponent } from './nonprofit-communications-page/nonprofit-communications-page.component';
import { NonprofitProfilePageComponent } from './nonprofit-profile-page/nonprofit-profile-page.component';
import { NonprofitProfileWrapperComponent } from './nonprofit-profile-wrapper/nonprofit-profile-wrapper.component';
import { NonprofitSdgSummaryComponent } from './nonprofit-sdg-summary/nonprofit-sdg-summary.component';
import { NonprofitStoriesModalComponent } from './nonprofit-stories-modal/nonprofit-stories-modal.component';
import { NonprofitStoriesComponent } from './nonprofit-stories/nonprofit-stories.component';

@NgModule({
  imports: [
    GCCoreModule,
    SystemTagsModule,
    ApplicationManagerModule,
    CommunicationsModule
  ],
  declarations: [
    NonprofitProfileWrapperComponent,
    NonprofitProfilePageComponent,
    NonprofitCommunicationsPageComponent,
    NonprofitSdgSummaryComponent,
    NonprofitApplicantsComponent,
    NonprofitAwardsComponent,
    NonprofitStoriesComponent,
    NonprofitStoriesModalComponent,
    NonprofitApplicationsComponent
  ]
})
export class NonprofitModule { }
