import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { PageHelpInfoFromApi } from './page-help-modals.typing';

@Injectable({ providedIn: 'root' })
export class PageHelpModalResources {

  constructor (
    private httpRestService: HttpRestService
  ) { }

  getCompletedPageHelp (): Promise<PageHelpInfoFromApi[]> {
    const endpoint = 'api/manager/user/GetToursCompleted';

    return this.httpRestService.get(endpoint);
  }


  dismissPageHelp (tourKey: string) {
    const endpoint = '/api/manager/user/CompleteUserTour';

    return this.httpRestService.post(endpoint, {
      tourKey
    });
  }

}
