import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { PaymentDatesBlockComponent } from './payment-dates-block/payment-dates-block.component';
import { PaymentStatusBlockComponent } from './payment-status-block/payment-status-block.component';
import { PaymentTypeDisplayComponent } from './payment-type-display/payment-type-display.component';
import { CanRecallPaymentPipe } from './pipes/can-recall-payment.pipe';
import { PaymentSumPipe } from './pipes/payment-sum.pipe';
import { PaymentTypeToTextPipe } from './pipes/payment-type.pipe';
import { ReissuedPaymentTextComponent } from './reissued-payment-text/reissued-payment-text.component';

@NgModule({
  imports: [
    GCCoreModule
  ],
  declarations: [
    PaymentDatesBlockComponent,
    PaymentTypeDisplayComponent,
    PaymentStatusBlockComponent,
    ReissuedPaymentTextComponent,
    PaymentSumPipe,
    PaymentTypeToTextPipe,
    CanRecallPaymentPipe
  ],
  exports: [
    PaymentDatesBlockComponent,
    PaymentTypeDisplayComponent,
    PaymentStatusBlockComponent,
    ReissuedPaymentTextComponent,
    PaymentSumPipe,
    PaymentTypeToTextPipe,
    CanRecallPaymentPipe
  ]
})
export class PaymentDisplayHelpersModule { }
