import { Pipe, PipeTransform } from '@angular/core';
import { ProcessingTypes } from '@core/typings/payment.typing';
import { BatchStatuses, PaymentStatus } from '@core/typings/status.typing';
import { PaymentProcessingService } from '@features/payment-processing/payment-processing.service';

@Pipe({name: 'gcCanRecallPayment'})
export class CanRecallPaymentPipe implements PipeTransform {

  constructor (
    private paymentProcessingService: PaymentProcessingService
  ) { }

  transform (
    processingType: ProcessingTypes,
    batchStatus: BatchStatuses,
    paymentStatus: PaymentStatus,
    paymentInBatch: boolean
  ): boolean {
    return this.paymentProcessingService.canRecallPayment({
      processingType,
      batchStatus,
      paymentStatus,
      paymentInBatch
    });
  }
}
