import { Component, EventEmitter, Input, Output } from '@angular/core';
import { StatusService } from '@core/services/status.service';
import { BatchItem, ProcessingTypes } from '@core/typings/payment.typing';
import { BatchStatuses, PaymentStatus } from '@core/typings/status.typing';

@Component({
  selector: 'gc-batch-block',
  templateUrl: './batch-block.component.html',
  styleUrls: ['./batch-block.component.scss']
})
export class BatchBlockComponent {
  @Input() item: BatchItem;
  @Input() isDetailView = false;
  @Input() noActions = false;
  @Input() createAndSendDisabled = false;
  @Input() managePaymentsDisabled = false;
  @Input() viewPaymentsDisabled = false;
  @Output() onManagePayments = new EventEmitter<BatchItem>();
  @Output() onCreateOpenBatch = new EventEmitter<BatchItem>();
  @Output() onSendToProcessing = new EventEmitter<BatchItem>();
  @Output() onDeleteBatch = new EventEmitter<BatchItem>();
  @Output() onViewPayments = new EventEmitter<BatchItem>();
  @Output() onEditBatch = new EventEmitter<BatchItem>();
  @Output() onUpdateClientBatchStatus = new EventEmitter<{
    item: BatchItem;
    newStatus: BatchStatuses;
  }>();

  batchStatusMap = this.statusService.get('batchStatusMap');
  paymentStatusMap = this.statusService.paymentStatusMap;
  BatchStatuses = BatchStatuses;
  ProcessingTypes = ProcessingTypes;
  PaymentStatuses = PaymentStatus;

  constructor (
    private statusService: StatusService
  ) { }


}
