import { Component, OnInit } from '@angular/core';
import { PaymentStatus } from '@core/typings/status.typing';
import { Tab } from '@yourcause/common';
import { PaymentProcessingService } from '../payment-processing.service';

@Component({
  selector: 'gc-in-kind-payments-page',
  templateUrl: './in-kind-payments-page.component.html',
  styleUrls: ['./in-kind-payments-page.component.scss']
})

export class InKindPaymentsPageComponent implements OnInit {
  tabs: Tab[] = [];
  PaymentStatus = PaymentStatus;
  stats$ = this.paymentProcessingService.changesTo$('inKindPaymentStats');

  constructor (
    private paymentProcessingService: PaymentProcessingService
  ) { }

  get isPending () {
    return location.pathname.includes('pending');
  }

  ngOnInit () {
    this.tabs = [{
      link: '/management/payment-processing/in-kind-payments/pending',
      labelKey: 'MANAGE:textPendingPayments',
      label: 'Pending payments',
      activeRoutes: ['pending']
    }, {
      link: '/management/payment-processing/in-kind-payments/fulfilled',
      labelKey: 'MANAGE:textFulfilledPayments',
      label: 'Fulfilled payments',
      activeRoutes: ['fulfilled']
    }];
  }

}
