import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { PaymentDisplayHelpersModule } from '@features/payment-display-helpers/payment-display-helpers.module';
import { BatchBlockComponent } from '@features/payment-processing/batch-block/batch-block.component';
import { CreateOpenBatchModalComponent } from '@features/payment-processing/create-open-batch-modal/create-open-batch-modal.component';
import { EditBatchModalComponent } from '@features/payment-processing/edit-batch-modal/edit-batch-modal.component';
import { ExpeditePaymentModalComponent } from '@features/payment-processing/expedite-payment-modal/expedite-payment-modal.component';
import { HoldPaymentModalComponent } from '@features/payment-processing/hold-payment-modal/hold-payment-modal.component';
import { ManagePaymentsComponent } from '@features/payment-processing/manage-payments/manage-payments.component';
import { PaymentDetailsModalComponent } from '@features/payment-processing/payment-details-modal/payment-details-modal.component';
import { PaymentProcessingPageComponent } from '@features/payment-processing/payment-processing-page/payment-processing-page.component';
import { PaymentsPageComponent } from '@features/payment-processing/payments-page/payments-page.component';
import { PaymentsTableComponent } from '@features/payment-processing/payments-table/payments-table.component';
import { SchedulePageComponent } from '@features/payment-processing/schedule-page/schedule-page.component';
import { SendToProcessingModalComponent } from '@features/payment-processing/send-to-processing-modal/send-to-processing-modal.component';
import { SelectEmailTemplateModule } from '@features/system-emails/select-email-template/select-email-template.module';
import { DesignationModalComponent } from './designation-modal/designation-modal.component';
import { DisbursementReportPageComponent } from './disbursement-report-page/disbursement-report-page.component';
import { ImportAPPaymentsModalComponent } from './import-ap-payments-modal/import-ap-payments-modal.component';
import { InKindPaymentsPageComponent } from './in-kind-payments-page/in-kind-payments-page.component';
import { NotifyPayeesModalComponent } from './notify-payees-modal/notify-payees-modal.component';
import { PaymentRecallModalComponent } from './payment-recall-modal/payment-recall-modal.component';
import { CanEditSpecialHandlingPipe } from './pipes/can-edit-special-handling.pipe';
import { UpdateBatchStatusModalComponent } from './update-batch-status-modal/update-batch-status-modal.component';
import { UpdatePaymentsModalComponent } from './update-payments-modal/update-payments-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    PaymentDisplayHelpersModule,
    SelectEmailTemplateModule
  ],
  declarations: [
    ImportAPPaymentsModalComponent,
    PaymentProcessingPageComponent,
    PaymentsPageComponent,
    SchedulePageComponent,
    ManagePaymentsComponent,
    BatchBlockComponent,
    CreateOpenBatchModalComponent,
    SendToProcessingModalComponent,
    UpdateBatchStatusModalComponent,
    EditBatchModalComponent,
    HoldPaymentModalComponent,
    PaymentsTableComponent,
    ExpeditePaymentModalComponent,
    PaymentDetailsModalComponent,
    UpdatePaymentsModalComponent,
    DesignationModalComponent,
    InKindPaymentsPageComponent,
    CanEditSpecialHandlingPipe,
    DisbursementReportPageComponent,
    NotifyPayeesModalComponent,
    PaymentRecallModalComponent
  ]
})
export class PaymentProcessingModule { }
