import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AddressRequestsPageComponent } from './address-requests-page/address-requests-page.component';
import { AddressRequestsTableComponent } from './address-requests-table/address-requests-table.component';
import { AddressRequestsModule } from './address-requests.module';


@NgModule({
  imports: [
    AddressRequestsModule,
    RouterModule.forChild([{
      path: '',
      data: {
        breadcrumbLabel: 'Address Requests',
        breadcrumb: true,
        pageName: 'Address Requests'
      },
      component: AddressRequestsPageComponent,
      children: [{
        path: 'active',
        component: AddressRequestsTableComponent,
        data: {
          breadcrumbLabel: 'Active Address Requests',
          breadcrumb: true,
          pageName: 'Address Requests - Active Tab'
        }
      }, {
        path: 'approved-or-rejected',
        component: AddressRequestsTableComponent,
        data: {
          breadcrumbLabel: 'Approved/Rejected Address Requests',
          breadcrumb: true,
          pageName: 'Address Requests - Approved/Rejected Tab'
        }
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'active'
      }]
    }])
  ]
})
export class AddressRequestsRoutingModule { }
