import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AdminUsersResolver } from '@core/resolvers/admin-users.resolver';
import { AdminClientsModule } from './admin-clients.module';
import { ClientsPageComponent } from './clients-page/clients-page.component';
import { ManageClientWrapperComponent } from './manage-client-wrapper/manage-client-wrapper.component';


@NgModule({
  imports: [
    AdminClientsModule,
    RouterModule.forChild([{
      path: '',
      resolve: {
        admins: AdminUsersResolver
      },
      children: [{
        path: '',
        component: ClientsPageComponent
      }, {
        path: ':id',
        children: [{
          path: '',
          component: ManageClientWrapperComponent,
          data: {
            isEdit: true,
            breadcrumb: true,
            breadcrumbLabel: 'Clients',
            pageName: 'Clients'
          }
        }, {
          path: 'edit',
          component: ManageClientWrapperComponent,
          data: {
            isEdit: true,
            breadcrumb: true,
            breadcrumbLabel: 'Edit Client',
            pageName: 'Clients - Edit'
          }
        }, {
          path: 'view',
          component: ManageClientWrapperComponent,
          data: {
            isEdit: false,
            breadcrumb: true,
            breadcrumbLabel: 'View Client',
            pageName: 'Clients - View'
          }
        }]
      }]
    }])
  ]
})
export class AdminClientsRoutingModule { }
