import { TableDataDownloadFormat } from '@yourcause/common';

export namespace CustomerInsights {
  export interface CustomerInsightsPayload {
    clientId: number;
    date: string; // should be an ISO string
  }

  export interface CustomerInsightsFilePayload {
    adminInsightsType: AdminInsightsType;
    exportFileTypeId: TableDataDownloadFormat;
    adminInsightsRequestModel: CustomerInsightsPayload;
  }

  export enum AdminInsightsType {
    APPS_SUBMITTED = 1,
    LOGINS = 2
  }

  export interface CustomerInsightsResponse {
    clientId: number;
    providedYearData: Record<string, number>; // date string: number
    previousYearData: Record<string, number>; // date string: number
  }

  export interface DataSetForChart {
    label: string;
    data: number[];
    backgroundColor: string;
    borderColor: string;
    pointBackgroundColor: string;
    pointHoverBackgroundColor: string;
    pointHoverBorderColor: string;
  }

  export type CustomerInsightDataForDate = Record<string, {
    appData: CustomerInsights.DataSetForChart[];
    loginData: CustomerInsights.DataSetForChart[];
  }>;
}
