import { FeatureStatus } from '@yourcause/common/feature-flag';
import { Spec, TestCase } from '@yourcause/test-decorators';
import { DescribeAngularService } from '@yourcause/test-decorators/angular';
import { expect } from 'chai';
import { FeatureFlagStatusIconPipe } from './feature-flag-status-icon.pipe';

@DescribeAngularService(
  FeatureFlagStatusIconPipe,
  { }
)
export class FeatureFlagStatusIconPipeSpec implements Spec<FeatureFlagStatusIconPipeSpec, FeatureFlagStatusIconPipe> {
  @TestCase('should return check for enabled')
  testShouldReturnCheck (pipe: FeatureFlagStatusIconPipe) {
    const response = pipe.transform(FeatureStatus.ON);

    expect(response).to.equal('check text-success');
  }

  @TestCase('should return vials for canary')
  testShouldReturnVials (pipe: FeatureFlagStatusIconPipe) {
    const response = pipe.transform(FeatureStatus.CANARY);

    expect(response).to.equal('vials');
  }

  @TestCase('should return times for off')
  testShouldReturnTimes (pipe: FeatureFlagStatusIconPipe) {
    const response = pipe.transform(FeatureStatus.OFF);

    expect(response).to.equal('times text-danger');
  }
}
