import { GCMockModule } from '@core/mocks/gc-module.mock';
import { FeatureStatus } from '@yourcause/common/feature-flag';
import { Spec, TestCase } from '@yourcause/test-decorators';
import { DescribeAngularService } from '@yourcause/test-decorators/angular';
import { expect } from 'chai';
import { FeatureFlagStatusTextPipe } from './feature-flag-status-text.pipe';

@DescribeAngularService(
  FeatureFlagStatusTextPipe,
  {
    imports: [GCMockModule]
  }
)
export class FeatureFlagStatusTextPipeSpec implements Spec<FeatureFlagStatusTextPipeSpec, FeatureFlagStatusTextPipe> {
  @TestCase('should return all clients for enabled')
  testShouldReturnEnabled (pipe: FeatureFlagStatusTextPipe) {
    const response = pipe.transform(FeatureStatus.ON);

    expect(response).to.equal('All clients');
  }

  @TestCase('should return test clients for canary')
  testShouldReturnCanary (pipe: FeatureFlagStatusTextPipe) {
    const response = pipe.transform(FeatureStatus.CANARY);

    expect(response).to.equal('Test clients');
  }

  @TestCase('should return disabled for off')
  testShouldReturnDisabled (pipe: FeatureFlagStatusTextPipe) {
    const response = pipe.transform(FeatureStatus.OFF);

    expect(response).to.equal('Disabled');
  }
}
