import { Pipe, PipeTransform } from '@angular/core';
import { FeatureStatus } from '@yourcause/common/feature-flag';
import { I18nService } from '@yourcause/common/i18n';

@Pipe({
  name: 'gcFeatureFlagStatusText'
})
export class FeatureFlagStatusTextPipe implements PipeTransform {
  constructor (
    private i18n: I18nService
  ) { }

  transform (value: FeatureStatus) {
    switch (value) {
      case FeatureStatus.ON:
        return this.i18n.translate('ADMIN:lblAllClients', {}, 'All clients');
      case FeatureStatus.CANARY:
        return this.i18n.translate('ADMIN:lblTestClients', {}, 'Test clients');
      case FeatureStatus.OFF:
        return this.i18n.translate('common:textDisabled', {}, 'Disabled');
    }
  }
}
