import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { GrantManagersTableComponent } from './grant-managers-table/grant-managers-table.component';
import { GrantManagersWrapperComponent } from './grant-managers-wrapper/grant-managers-wrapper.component';
import { GrantManagersModule } from './grant-managers.module';
import { ImpersonationLogTableComponent } from './impersonation-log-table/impersonation-log-table.component';


@NgModule({
  imports: [
    GrantManagersModule,
    RouterModule.forChild([{
      path: '',
      component: GrantManagersWrapperComponent,
      children: [{
        path: 'managers',
        component: GrantManagersTableComponent,
        data: {
          breadcrumbLabel: 'Grant Managers',
          breadcrumb: true,
          pageName: 'Platform - Grant Managers'
        }
      }, {
        path: 'impersonation-history',
        component: ImpersonationLogTableComponent,
        data: {
          breadcrumbLabel: 'Impersonation History',
          breadcrumb: true,
          pageName: 'Platform - Impersonation History'
        }
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'managers'
      }]
    }])
  ]
})
export class GrantManagersRoutingModule { }
