import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { HistoricalImportsModule } from '@features/platform-admin/historical-imports/historical-imports.module';
import { ViewBatchComponent } from '@features/platform-admin/historical-imports/view-batch/view-batch.component';
import { ViewBatchesComponent } from '@features/platform-admin/historical-imports/view-batches/view-batches.component';
import { AdminBatchResolver } from './resolvers/admin-batch.resolver';

@NgModule({
  imports: [
    HistoricalImportsModule,
    RouterModule.forChild([
      {
        path: 'view-batches',
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'View Batches',
          pageName: 'Historical Imports - View Batches'
        },
        children: [
          {
            path: '',
            component: ViewBatchesComponent
          },
          {
            path: ':id/:type',
            component: ViewBatchComponent,
            data: {
              breadcrumb: true,
              breadcrumbLabel: 'View Batch',
              pageName: 'Historical Imports - View Batch'
            },
            resolve: {
              programs: AdminBatchResolver
            }
          }
        ]
      },
      {
        path: '',
        pathMatch: 'full',
        redirectTo: 'view-batches'
      }
    ])
  ]
})
export class HistoricalImportsRoutingModule {}
