import { Component } from '@angular/core';
import { APIDataImport } from '@core/typings/api/data-import.typing';
import { DebounceFactory, FileService } from '@yourcause/common';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-view-batch-errors-modal',
  templateUrl: './view-batch-errors-modal.component.html',
  styleUrls: ['./view-batch-errors-modal.component.scss']
})
export class ViewBatchErrorsModalComponent extends YCModalComponent<void> {
  errors: APIDataImport.ValidationError[];

  csvDownloadFactory = DebounceFactory.createSimple(() => {
    return this.fileService.convertObjectArrayToCSVString(this.errors);
  });

  constructor (
    private fileService: FileService
  ) {
    super();
  }
}
