import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AdminClientRolesResolver } from '@core/resolvers/admin-client-roles.resolver';
import { AdminUsersResolver } from '@core/resolvers/admin-users.resolver';
import { InternalAdminsCreateEditComponent } from './internal-admins-create-edit/internal-admins-create-edit.component';
import { InternalAdminsComponent } from './internal-admins.component';
import { InternalAdminsModule } from './internal-admins.module';

@NgModule({
  imports: [
    InternalAdminsModule,
    RouterModule.forChild([
      {
        path: 'admins',
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Internal Admins',
          pageName: 'Internal Admins'
        },
        children: [
          {
            path: '',
            component: InternalAdminsComponent
          },
          {
            path: 'new',
            component: InternalAdminsCreateEditComponent,
            data: {
              breadcrumb: true,
              breadcrumbLabel: 'Add Internal Admin',
              pageName: 'Internal Admins - Add Internal Admin'
            }
          },
          {
            path: ':userId',
            component: InternalAdminsCreateEditComponent,
            data: {
              breadcrumb: true,
              breadcrumbLabel: 'Manage',
              pageName: 'Internal Admins - Edit Internal Admin'
            }
          }
        ],
        resolve: {
          admins: AdminUsersResolver,
          roles: AdminClientRolesResolver
        }
      },
      {
        path: '',
        pathMatch: 'full',
        redirectTo: 'admins'
      }
    ])
  ]
})
export class InternalAdminsRoutingModule { }
