import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { PlatformAdminModule } from '@features/platform-admin/platform-admin.module';
import { PlatformHomeComponent } from '@features/platform-admin/platform-home/platform-home.component';
import { ApplicantsComponent } from './applicants/applicants.component';

@NgModule({
  imports: [
    PlatformAdminModule,
    RouterModule.forChild([{
      path: 'home',
      component: PlatformHomeComponent
    }, {
      path: 'applicants',
      component: ApplicantsComponent
    }, {
      path: 'address-requests',
      loadChildren: () => import(
        '@features/platform-admin/address-requests/address-requests-routing.module'
      ).then(m => m.AddressRequestsRoutingModule),
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Address Requests',
        pageName: 'Address Requests'
      }
    }, {
      path: 'admin-settings',
      loadChildren: () => import(
        '@features/platform-admin/platform-switchboard-pages/admin-settings/admin-settings-routing.module'
      ).then(m => m.AdminSettingsRoutingModule),
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Admin Settings',
        pageName: 'Admin Settings'
      }
    }, {
      path: 'client-management',
      loadChildren: () => import(
        '@features/platform-admin/platform-switchboard-pages/client-management/client-management-routing.module'
      ).then(m => m.ClientManagementRoutingModule),
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Client Management',
        pageName: 'Client Management'
      }
    }, {
      path: 'product-management',
      loadChildren: () => import(
        '@features/platform-admin/platform-switchboard-pages/product-management/product-management-routing.module'
      ).then(m => m.ProductManagementRoutingModule),
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Product Management',
        pageName: 'Product Management'
      }
    }])
  ]
})
export class PlatformAdminRoutingModule { }
