import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AdminSettingsPageComponent } from './admin-settings-page/admin-settings-page.component';
import { AdminSettingsModule } from './admin-settings.module';

@NgModule({
  imports: [
    AdminSettingsModule,
    RouterModule.forChild([{
      path: '',
      component: AdminSettingsPageComponent
    }, {
      path: 'internal-admins',
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Internal Admins',
        pageName: 'Internal Admins'
      },
      loadChildren: () => import('@features/platform-admin/internal-admins/internal-admins-routing.module')
        .then(m => m.InternalAdminsRoutingModule)
    }, {
      path: 'roles-and-permissions',
      loadChildren: () => import('@features/platform-admin/roles-and-permissions/roles-and-permissions-routing.module')
        .then(m => m.RolesAndPermissionsRoutingModule),
      data: {
        breadcrumbLabel: 'Roles and Permissions',
        breadcrumb: true,
        pageName: 'Platform - Roles and Permissions'
      }
    }])
  ]
})
export class AdminSettingsRoutingModule { }
