import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { EmailLogsComponent } from '@features/platform-admin/email-logs/email-logs.component';
import { ClientManagementPageComponent } from './client-management-page/client-management-page.component';
import { ClientManagementModule } from './client-management.module';

@NgModule({
  imports: [
    ClientManagementModule,
    RouterModule.forChild([{
      path: '',
      component: ClientManagementPageComponent
    }, {
      path: 'clients',
      loadChildren: () => import('@features/platform-admin/clients/admin-clients-routing.module')
        .then(m => m.AdminClientsRoutingModule),
      data: {
        breadcrumbLabel: 'Clients',
        breadcrumb: true,
        pageName: 'Client Management'
      }
    }, {
      path: 'email-logs',
      data: {
        breadcrumb: true,
        breadcrumbLabel: 'Email Log',
        pageName: 'Client Management - Email Log'
      },
      component: EmailLogsComponent
    }, {
      path: 'grant-managers',
      loadChildren: () => import('@features/platform-admin/grant-managers/grant-managers-routing.module')
        .then(m => m.GrantManagersRoutingModule),
      data: {
         breadcrumbLabel: 'Grant Managers',
         breadcrumb: true,
         pageName: 'Client Management - Grant Managers'
      }
    }, {
      path: 'historical-imports',
      loadChildren: () => import('@features/platform-admin/historical-imports/historical-imports-routing.module')
        .then(m => m.HistoricalImportsRoutingModule),
      data: {
        breadcrumbLabel: 'Historical Imports',
        breadcrumb: true,
        pageName: 'Client Management - Historical Imports'
      }
    }, {
      path: 'customer-insights',
      loadChildren: () => import('@features/platform-admin/customer-insights/customer-insights-routing.module')
      .then(m => m.CustomerInsightsRoutingModule),
      data: {
        breadcrumbLabel: 'Customer Insights',
        breadcrumb: true,
        pageName: 'Client Management - Customer Insights'
      }
    }])
  ]
})
export class ClientManagementRoutingModule { }
