import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { ReleaseNoteFromApi } from './release-notes.typing';


@Injectable({ providedIn: 'root' })
export class ReleaseNoteResources {

  constructor (
    private http: HttpRestService
  ) { }

  getReleaseNotesForPlatform (): Promise<ReleaseNoteFromApi[]> {
    const endpoint = 'api/admin/Configuration/ReleaseNotesAnnouncements';

    return this.http.get(endpoint);
  }

  getReleaseNotesForUser (): Promise<ReleaseNoteFromApi[]> {
    const endpoint = 'api/manager/ClientResource/ReleaseNotesAnnouncements';

    return this.http.get(endpoint);
  }

  dismissReleaseNote (id: number) {
    const endpoint = `/api/manager/ClientResource/DismissReleaseNotesAnnouncement/${id}`;

    return this.http.post(endpoint, {});
  }
}

