import { Component, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { SimpleRole } from '@core/typings/roles.typing';
import { Subscription } from 'rxjs';
import { RolesAndPermissionsPlatformService } from '../roles-and-permissions.service';

@Component({
  selector: 'gc-platform-roles-wrapper',
  templateUrl: 'platform-roles-wrapper.component.html',
  styleUrls: ['./platform-roles-wrapper.component.scss']
})
export class PlatformRolesWrapperComponent implements OnDestroy {
  roles: SimpleRole[] = this.rolesAndPermissionsService.roles.map((role) => {
    return {
      name: role.systemRole.name,
      description: role.systemRole.description || '',
      id: role.systemRole.id
    };
  });
  sub = new Subscription();

  constructor (
    private router: Router,
    private rolesAndPermissionsService: RolesAndPermissionsPlatformService
  ) { }

  onAddRole () {
    this.router.navigateByUrl('/platform/admin-settings/roles-and-permissions/new');
  }

  onEditRole (roleId: number) {
    this.router.navigateByUrl(`/platform/admin-settings/roles-and-permissions/${roleId}`);
  }

  ngOnDestroy () {
    this.sub.unsubscribe();
  }
}
