import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { PlatformRoleDetailWrapperComponent } from './platform-role-detail-wrapper/platform-role-detail-wrapper.component';
import { PlatformRolesWrapperComponent } from './platform-roles-wrapper/platform-roles-wrapper.component';
import { PlatformRolesResolver } from './resolvers/platform-roles.resolver';
import { RolesAndPermissionsModule } from './roles-and-permission.module';


@NgModule({
  imports: [
    RolesAndPermissionsModule,
    RouterModule.forChild([{
      path: '',
      resolve: {
        roles: PlatformRolesResolver
      },
      children: [{
        path: '',
        component: PlatformRolesWrapperComponent
      }, {
        path: 'new',
        component: PlatformRoleDetailWrapperComponent,
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'New Role',
          pageName: 'Manager - Create Role'
        }
      }, {
        path: ':id',
        component: PlatformRoleDetailWrapperComponent,
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Edit Role',
          pageName: 'Manager - Edit Role'
        }
      }]
    }])
  ]
})
export class RolesAndPermissionsRoutingModule { }
