import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';
import { PlatformPermission, PlatformRoleFromApi, PlatformRoleToSave } from '@core/typings/roles.typing';

@Injectable({ providedIn: 'root' })
export class RolesAndPermissionResources {

  constructor (
    private httpRestService: HttpRestService
  ) { }

  getRoles (): Promise<PlatformRoleFromApi[]> {
    return this.httpRestService.get('api/admin/ManageUsers/GetRolesInfo');
  }

  saveRole (roleToSave: PlatformRoleToSave) {
    return this.httpRestService.post('api/admin/ManageUsers/SaveRole', roleToSave);
  }

  getPermissions (): Promise<PlatformPermission[]> {
    return this.httpRestService.get('api/admin/ManageUsers/AllPermissions');
  }
}


