import { Component } from '@angular/core';
import { Tab } from '@yourcause/common';
import { AnalyticsService, EventType } from '@yourcause/common/analytics';
import { YCModalComponent } from '@yourcause/common/modals';
import { StandardProductTypes } from '../standard-product-configuration.typing';

@Component({
  selector: 'gc-push-to-production-modal',
  templateUrl: './push-to-production-modal.component.html',
  styleUrls: ['./push-to-production-modal.component.scss']
})
export class PushToProductionModalComponent extends YCModalComponent<boolean> {
  activePageType = StandardProductTypes.FORM_FIELDS;
  tabs: Tab[] = [{
    active: true,
    labelKey: 'GLOBAL:hdrFormFields',
    label: 'Form Fields',
    context: StandardProductTypes.FORM_FIELDS
  }, {
    active: false,
    labelKey: 'common:textForms',
    label: 'Forms',
    context: StandardProductTypes.FORMS
  }, {
    active: false,
    labelKey: 'common:textReports',
    label: 'Reports',
    context: StandardProductTypes.REPORTS
  }, {
    active: false,
    labelKey: 'common:textDashboards',
    label: 'Dashboards',
    context: StandardProductTypes.DASHBOARDS
  }];

  constructor (
    private analyticsService: AnalyticsService
  ) {
    super();
  }

  activeTabChanged (index: number) {
    const tab = this.tabs[index];
    this.activePageType = tab.context;
  }

  handlePrimaryClick () {
    this.closeModal.emit(true);
    this.analyticsService.emitEvent({
      eventName: 'Push to Production submit',
      eventType: EventType.Click,
      extras: null
    });
  }
}
