import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { environment } from '@environment';
import { StandardProductConfigurationService } from '../standard-product-configuration.service';

@Injectable({ providedIn: 'root' })
export class StandardProductConfigActionsResolver implements Resolve<void> {

  constructor (
    private standardProductService: StandardProductConfigurationService
  ) { }

  async resolve () {
    if (environment.supportsImportStandardFields) {
      await this.standardProductService.retrieveStagedFileInfo();
    }
    if (environment.supportsPushStandardFields) {
      await this.standardProductService.setRecordsAvailableToPush();
    }
  }
}
