import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { StandardProductConfigActionsResolver } from './resolvers/standard-product-config-actions.resolver';
import { StandardProductConfigurationModule } from './standard-product-configuation.module';
import { StandardProductConfigurationPageComponent } from './standard-product-configuration-page/standard-product-configuration-page.component';
import { StandardProductTypes } from './standard-product-configuration.typing';
import { StandardProductTableComponent } from './standard-product-table/standard-product-table.component';

@NgModule({
  imports: [
    StandardProductConfigurationModule,
    RouterModule.forChild([{
      path: '',
      component: StandardProductConfigurationPageComponent,
      resolve: {
        stpResolver: StandardProductConfigActionsResolver
      },
      children: [{
        path: 'form-fields',
        component: StandardProductTableComponent,
        data: {
          breadcrumbLabel: 'Form Fields',
          breadcrumb: true,
          type: StandardProductTypes.FORM_FIELDS,
          pageName: 'Standard Product Components - Form Fields'
        }
      }, {
        path: 'forms',
        component: StandardProductTableComponent,
        data: {
          breadcrumbLabel: 'Forms',
          breadcrumb: true,
          type: StandardProductTypes.FORMS,
          pageName: 'Standard Product Components - Forms'
        }
      }, {
        path: 'reports',
        component: StandardProductTableComponent,
        data: {
          breadcrumbLabel: 'Reports',
          breadcrumb: true,
          type: StandardProductTypes.REPORTS,
          pageName: 'Standard Product Components - Reports'
        }
      }, {
        path: 'dashboards',
        component: StandardProductTableComponent,
        data: {
          breadcrumbLabel: 'Dashboards',
          breadcrumb: true,
          type: StandardProductTypes.DASHBOARDS,
          pageName: 'Standard Product Components - Dashboards'
        }
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'form-fields'
      }]
    }])
  ]
})
export class StandardProductConfigurationRoutingModule { }
