import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';
import { I18nService } from '@yourcause/common/i18n';

@Pipe({ name: 'gcConvertTypeTooltip' })
export class ConvertTypeTooltipPipe implements PipeTransform {
  constructor (
    private i18n: I18nService
  ) { }

  transform (
    newType: ReferenceFieldsUI.ReferenceFieldTypes
  ): string {
    let text = '';
    switch (newType) {
      default:
      case ReferenceFieldsUI.ReferenceFieldTypes.TextField:
        text = this.i18n.translate(
          'FORMS:textConvertingToATextFieldMayResultIn',
          {},
          'Converting to a text field may result in removed workflow automation and ad hoc filters'
        );
        break;
      case ReferenceFieldsUI.ReferenceFieldTypes.Number:
        text = this.i18n.translate(
          'FORMS:textConvertingToANumberFieldMayResultIn',
          {},
          'Converting to a number field may result in removed workflow automation and ad hoc filters'
        );
        break;
      case ReferenceFieldsUI.ReferenceFieldTypes.Date:
        text = this.i18n.translate(
          'FORMS:textConvertingToADateFieldMayResultIn',
          {},
          'Converting to a date field may result in removed workflow automation and ad hoc filters'
        );
        break;
    }

    return text;
  }

}
