import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldAPI } from '@core/typings/api/reference-fields.typing';
import { ReferenceFieldsService } from '../services/reference-fields.service';

@Pipe({ name: 'gcDeleteRefFieldTooltip' })
export class DeleteRefFieldTooltipPipe implements PipeTransform {
  constructor (
    private referenceFieldService: ReferenceFieldsService
  ) { }

  transform (
    row: ReferenceFieldAPI.ReferenceFieldDisplayModel,
    isRootZone: boolean
  ): string {
    return this.referenceFieldService.getTooltipForDeleteRefField(
      row.formCount,
      row.usedOnReports,
      row.referenceFieldId,
      row.standardComponentIsPublished,
      isRootZone
    );
  }

}
