import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsService } from '../services/reference-fields.service';

@Pipe({ name: 'gcDisableRemoveTableColumnTooltip' })
export class DisableRemoveTableColumnTooltip implements PipeTransform {

  constructor (
    private referenceFieldService: ReferenceFieldsService
  ) { }

  transform (
    summarizeData: boolean,
    tableRefId: number,
    columnRefId: number
  ): string {
    return this.referenceFieldService.getDisableSummarizeDataTooltip(
      summarizeData,
      tableRefId,
      columnRefId,
      true
    );
  }

}
