import { Pipe, PipeTransform } from '@angular/core';
import { CustomDataTablesService } from '@features/custom-data-tables/custom-data-table.service';

@Pipe({ name: 'gcDoesRefHaveDependency' })
export class DoesRefHaveDependencyPipe implements PipeTransform {
  constructor (
    private customDataTablesService: CustomDataTablesService
  ) {}

  transform (guid: string): boolean {
    const dataTable = this.customDataTablesService.getCDTFromGuid(guid);

    return dataTable ? !!dataTable.parentPicklistId : false;
  }

}
