import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { BulkFormFieldImportModalComponent } from './bulk-form-field-import-modal/bulk-form-field-import-modal.component';
import { CategoriesPageComponent } from './categories-page/categories-page.component';
import { CategorySelectorComponent } from './category-selector/category-selector.component';
import { ConvertFieldTypeModalComponent } from './convert-field-type-modal/convert-field-type-modal.component';
import { CreateEditCategoryModalComponent } from './create-edit-category-modal/create-edit-category-modal.component';
import { CreateEditReferenceFieldModalComponent } from './create-edit-reference-field-modal/create-edit-reference-field-modal.component';
import { CreateEditReferenceFieldComponent } from './create-edit-reference-field/create-edit-reference-field.component';
import { DataSetFieldConfigurationComponent } from './data-set-field-configuration/data-set-field-configuration.component';
import { ManageCategoryModalComponent } from './manage-category-modal/manage-category-modal.component';
import { MergeFieldsModalComponent } from './merge-fields-modal/merge-fields-modal.component';
import { MergeWithStandardFieldModalComponent } from './merge-with-standard-field-modal/merge-with-standard-field-modal.component';
import { ConvertTypeTooltipPipe } from './pipes/convert-type-tooltip.pipe';
import { DeleteRefFieldTooltipPipe } from './pipes/delete-ref-field-tooltip.pipe';
import { DisableRemoveTableColumnTooltip } from './pipes/disable-remove-table-column-tooltip.pipe';
import { DisableSummarizeDataTooltip } from './pipes/disable-summarize-data-checkbox.pipe';
import { DisplayRefFieldTypePipe } from './pipes/display-ref-field-type.pipe';
import { DoesRefHaveDependencyPipe } from './pipes/does-ref-have-dependency.pipe';
import { DoesRefTypeHaveOptionsPipe } from './pipes/does-ref-type-have-options.pipe';
import { ReferenceFieldsPageComponent } from './reference-fields-page/reference-fields-page.component';
import { TableFieldConfigurationComponent } from './table-field-configuration/table-field-configuration.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    ReferenceFieldsPageComponent,
    CreateEditReferenceFieldModalComponent,
    DoesRefTypeHaveOptionsPipe,
    ConvertTypeTooltipPipe,
    ConvertFieldTypeModalComponent,
    DoesRefHaveDependencyPipe,
    DisplayRefFieldTypePipe,
    ManageCategoryModalComponent,
    CategorySelectorComponent,
    CategoriesPageComponent,
    CreateEditCategoryModalComponent,
    BulkFormFieldImportModalComponent,
    CreateEditReferenceFieldComponent,
    MergeFieldsModalComponent,
    TableFieldConfigurationComponent,
    DataSetFieldConfigurationComponent,
    DeleteRefFieldTooltipPipe,
    DisableSummarizeDataTooltip,
    DisableRemoveTableColumnTooltip,
    MergeWithStandardFieldModalComponent
  ],
  exports: [
    ReferenceFieldsPageComponent,
    CreateEditReferenceFieldModalComponent,
    DoesRefTypeHaveOptionsPipe,
    ConvertTypeTooltipPipe,
    ConvertFieldTypeModalComponent,
    DisplayRefFieldTypePipe,
    DoesRefHaveDependencyPipe
  ]
})
export class ReferenceFieldsModule { }
