import { ReferenceFieldAPI } from '@core/typings/api/reference-fields.typing';
import { TokenGroup } from '@core/typings/ckeditor.typing';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';
import { SimpleNumberMap, SimpleStringMap, TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class ReferenceFieldsState extends BaseYcState {
  readonly allReferenceFields: ReferenceFieldAPI.ReferenceFieldDisplayModel[];
  readonly referenceFieldMap: SimpleStringMap<ReferenceFieldAPI.ReferenceFieldDisplayModel> = {};
  readonly referenceFieldMapById: SimpleNumberMap<ReferenceFieldAPI.ReferenceFieldDisplayModel> = {};
  readonly categories: ReferenceFieldAPI.Category[];
  readonly categoryNameMap: SimpleStringMap<string> = {};
  readonly categoryOptions: TypeaheadSelectOption[];
  readonly categoryTokenGroups: TokenGroup[];
  readonly allTypes: ReferenceFieldsUI.TypeForFormio[];
  readonly invalidFormFieldText: string;
  readonly currentFormRefFields: ReferenceFieldAPI.ReferenceFieldDisplayModel[];
  readonly parentPicklistValueMap: SimpleStringMap<string|string[]> = {};
  readonly isParentRefFieldMap: Record<number, boolean> = {};
  readonly tableColumnsMap: Record<number, ReferenceFieldsUI.TableFieldForUi[]> = {};
  readonly dataPointsMap: Record<number, ReferenceFieldsUI.DataPointForUI[]> = {};

  /* This tracks the most current rows in a table on a particular application form so we can do change tracking on save */
  /* Left side of map is ApplicationFormId_TableId */
  readonly applicationFormTableRowsMap: Record<string, ReferenceFieldsUI.TableResponseRowForUi[]> = {};
}
