import { Component } from '@angular/core';
import { PolicyService } from '@core/services/policy.service';

@Component({
  selector: 'gc-data-hub-page',
  templateUrl: './data-hub-page.component.html',
  styleUrls: ['./data-hub-page.component.scss']
})
export class DataHubPageComponent {
  items = [{
    title: 'Applications',
    description: 'Export application details',
    i18nTitleKey: 'common:hdrApplications',
    i18nDescriptionKey: 'GLOBAL:textApplicationsDesc',
    href: '/management/reporting/data-hub/applications',
    icon: 'copy',
    disabled: !this.policyService.dataExport.canPullApplicationDetails()
  }, {
    title: 'Awards',
    description: 'Export award details',
    i18nTitleKey: 'common:hdrAwards',
    i18nDescriptionKey: 'GLOBAL:textAwardsDesc',
    href: '/management/reporting/data-hub/awards',
    icon: 'gift',
    disabled: !this.policyService.dataExport.canPullAwardExport()
  }, {
    title: 'Budgets',
    description: 'Export an overview of your budgets',
    i18nTitleKey: 'GLOBAL:textBudgets',
    i18nDescriptionKey: 'GLOBAL:textBudgetsDesc',
    href: '/management/reporting/data-hub/budgets',
    icon: 'usd-circle',
    disabled: !this.policyService.dataExport.canPullBudgetExport()
  }, {
    title: 'Custom Forms',
    description: 'Export responses for your forms',
    i18nTitleKey: 'GLOBAL:textCustomForms',
    i18nDescriptionKey: 'GLOBAL:textCustomFormsDesc',
    href: '/management/reporting/data-hub/custom-forms',
    icon: 'file-check',
    disabled: !this.policyService.dataExport.canPullFormExport()
  }, {
    title: 'Payments',
    description: 'Export payment details',
    i18nTitleKey: 'common:hdrPayments',
    i18nDescriptionKey: 'GLOBAL:textPaymentsDesc',
    href: '/management/reporting/data-hub/payments',
    icon: 'money-bill',
    disabled: !this.policyService.dataExport.canPullPaymentExport()
  }, {
    title: 'Program Summary',
    description: 'Export an overview of your programs',
    i18nTitleKey: 'GLOBAL:hdrProgramSummary',
    i18nDescriptionKey: 'GLOBAL:textProgramSummaryDesc',
    href: '/management/reporting/data-hub/program-summary',
    icon: 'rocket',
    disabled: !this.policyService.dataExport.canPullProgramSummaryExport()
  }];

  constructor (
    private policyService: PolicyService
  ) { }
}
