import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ApplicationsHubComponent } from './applications-hub/applications-hub.component';
import { AwardsHubComponent } from './awards-hub/awards-hub.component';
import { BudgetHubComponent } from './budget-hub/budget-hub.component';
import { CustomFormsHubComponent } from './custom-forms-hub/custom-forms-hub.component';
import { DataHubPageComponent } from './data-hub-page/data-hub-page.component';
import { DataHubModule } from './data-hub.module';
import { PaymentsHubComponent } from './payments-hub/payments-hub.component';
import { ProgramSummaryHubComponent } from './program-summary-hub/program-summary-hub.component';

@NgModule({
  imports: [
    DataHubModule,
    RouterModule.forChild([{
      path: '',
      component: DataHubPageComponent
    }, {
      path: '',
      children: [{
        path: 'applications',
        component: ApplicationsHubComponent,
        data: {
          breadcrumbLabel: 'Applications',
          breadcrumb: true,
          pageName: 'Datahub - Applications'
        }
      }, {
        path: 'awards',
        component: AwardsHubComponent,
        data: {
          breadcrumbLabel: 'Awards',
          breadcrumb: true,
          pageName: 'Datahub - Awards'
        }
      }, {
        path: 'budgets',
        component: BudgetHubComponent,
        data: {
          breadcrumbLabel: 'Budgets',
          breadcrumb: true,
          pageName: 'Datahub - Budgets'
        }
      }, {
        path: 'custom-forms',
        component: CustomFormsHubComponent,
        data: {
          breadcrumbLabel: 'Custom Forms',
          breadcrumb: true,
          pageName: 'Datahub - Custom Forms'
        }
      }, {
        path: 'payments',
        component: PaymentsHubComponent,
        data: {
          breadcrumbLabel: 'Payments',
          breadcrumb: true,
          pageName: 'Datahub - Payments'
        }
      }, {
        path: 'program-summary',
        component: ProgramSummaryHubComponent,
        data: {
          breadcrumbLabel: 'Program Summary',
          breadcrumb: true,
          pageName: 'Datahub - Program Summary'
        }
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'active'
      }]
    }])
  ]
})
export class DataHubRoutingModule { }
