import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AdHocReportingResolver } from '@features/reporting/resolvers/ad-hoc-reporting.resolver';
import { ReportingPageComponent } from './reporting-page/reporting-page.component';
import { ReportingModule } from './reporting.module';

@NgModule({
  imports: [
    ReportingModule,
    RouterModule.forChild([{
      path: '',
      component: ReportingPageComponent
    }, {
      path: 'data-hub',
      loadChildren: () => import('@features/reporting/data-hub/data-hub-routing-module')
        .then(m => m.DataHubRoutingModule),
      data: {
        breadcrumbLabel: 'Data Hub',
        breadcrumb: true,
        isReporting: false,
        pageName: 'Data Hub'
      }
    }, {
      path: 'ad-hoc-data-feeds',
      loadChildren: () => import('@features/reporting/ad-hoc-reporting-routing.module')
        .then(m => m.AdHocReportingRoutingModule),
      data: {
        breadcrumbLabel: 'Ad Hoc and Data Feeds',
        breadcrumb: true,
        pageName: 'Ad Hoc and Data Feeds'
      },
      resolve: {
        adHocResolver: AdHocReportingResolver
      }
    }])
  ]
})
export class ReportingRoutingModule { }
