import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { PermissionSet } from '@core/typings/permission.typing';
import { RolesService } from '@features/roles/roles.service';

@Injectable({
  providedIn: 'root'
})
export class PermissionSetsResolver implements Resolve<PermissionSet[]> {
  constructor (
    private roleService: RolesService
  ) { }

  async resolve () {
    if (!this.roleService.get('permissionSets')) {
      await this.roleService.getPermissions();
    }

    return this.roleService.get('permissionSets');
  }
}
