import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AllUsersResolver } from '@features/users/resolvers/all-users.resolver';
import { ManageRoleUsersPageComponent } from './manage-role-users-page/manage-role-users-page.component';
import { RoleUsersResolver } from './resolvers/role-users.resolver';
import { RoleDetailWrapperComponent } from './role-detail-wrapper/role-detail-wrapper.component';
import { RolesPageWrapperComponent } from './roles-page-wrapper/roles-page-wrapper.component';
import { RolesModule } from './roles.module';

@NgModule({
  imports: [
    RolesModule,
    RouterModule.forChild([{
      path: '',
      children: [{
        path: '',
        component: RolesPageWrapperComponent
      }, {
        path: 'new',
        component: RoleDetailWrapperComponent,
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'New Role',
          pageName: 'Create Role'
        }
      }, {
        path: ':id',
        component: RoleDetailWrapperComponent,
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Edit Role',
          pageName: 'Edit Role'
        }
      }, {
        path: ':id/users',
        component: ManageRoleUsersPageComponent,
        resolve: {
          roleUsers: RoleUsersResolver,
          allUsers: AllUsersResolver
        },
        data: {
          breadcrumb: true,
          breadcrumbLabel: 'Manage Users',
          pageName: 'Manage Users'
        }
      }]
    }])
  ]
})
export class RolesRoutingModule { }
