import { Component, EventEmitter, Input, Output } from '@angular/core';
import { SimpleRole } from '@core/typings/roles.typing';
import { TopLevelFilter } from '@yourcause/common';
import { I18nService } from '@yourcause/common/i18n';

@Component({
  selector: 'yc-roles-table',
  templateUrl: './roles-table.component.html',
  styleUrls: ['./roles-table.component.scss']
})
export class RolesTableComponent {
  @Input() roles: SimpleRole[] = [];
  @Input() allowManageUsers = true;
  @Output() onAddRole = new EventEmitter();
  @Output() onEditRole = new EventEmitter<number>();

  topLevelFilters = [
    new TopLevelFilter(
      'text',
      'name',
      '',
      this.i18n.translate(
        'GLOBAL:textSearchByRoleName',
        {},
        'Search by role name'
      )
    )
  ];

  constructor (
    private i18n: I18nService
  ) { }
}
