import { Component, EventEmitter, Input, Output, ViewEncapsulation } from '@angular/core';
import { ClientSettingsService } from '@features/client-settings/client-settings.service';
import { CKEditorTokenConfig } from '@yourcause/common';

@Component({
  selector: 'gc-email-header-block',
  templateUrl: './email-header-block.component.html',
  styleUrls: ['./email-header-block.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class EmailHeaderBlockComponent {
  @Input() title = '';
  @Input() icon = '';
  @Input() editable = false;
  @Input() ckeditorConfig: CKEditorTokenConfig = {
    extraPlugins: 'token',
    availableTokens: [] as any,
    tokenStart: '{{',
    tokenEnd: '}}'
  };
  @Output() titleChange = new EventEmitter<string>();
  editingTitle = false;
  color = this.clientSettingsService.get('clientBranding').brandPrimary;

  constructor (
    private clientSettingsService: ClientSettingsService
  ) { }
}
