import { Component } from '@angular/core';
import { SpinnerService } from '@core/services/spinner.service';
import { ModalFactory } from '@yourcause/common/modals';
import { EmailService } from '../email.service';
import { ExportEmailsModalComponent } from '../export-emails/export-emails-modal/export-emails-modal.component';
import { ExportEmailService } from '../export-emails/export-emails.service';

@Component({
  selector: 'gc-system-emails-page',
  templateUrl: './system-emails-page.component.html',
  styleUrls: ['./system-emails-page.component.scss']
})

export class SystemEmailsPageComponent {

  constructor (
    private modalFactory: ModalFactory,
    private exportEmailService: ExportEmailService,
    private spinnerService: SpinnerService,
    private emailService: EmailService
  ) { }

  async exportEmails () {
    const response = await this.modalFactory.open(
      ExportEmailsModalComponent,
      {}
    );

    if (response) {
      this.spinnerService.startSpinner();
      await this.exportEmailService.handleExportEmailsByProgramAndLang(
        response,
        this.emailService.emails
      );
      this.spinnerService.stopSpinner();
    }
  }
}
