import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { DocumentTemplatesResolver } from '@features/document-templates/resolvers/document-templates.resolver';
import { ReferenceFieldsResolver } from '@features/reference-fields/reference-fields.resolver';
import { EmailResolver } from '@features/system-emails/resolvers/email.resolver';
import { SystemEmailsPageComponent } from './system-emails-page/system-emails-page.component';
import { SystemEmailsModule } from './system-emails.module';


@NgModule({
  imports: [
    SystemEmailsModule,
    RouterModule.forChild([{
      path: '',
      component: SystemEmailsPageComponent,
      resolve: {
        emails: EmailResolver,
        documentTemplates: DocumentTemplatesResolver,
        referenceFields: ReferenceFieldsResolver
      }
    }])
  ]
})
export class SystemEmailsRoutingModule { }
