import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { SystemTagsService } from '@features/system-tags/system-tags.service';

@Injectable({ providedIn: 'root' })
export class EntityTagsResolver implements Resolve<any> {
  constructor (
    private systemTagsService: SystemTagsService
  ) { }

  async resolve (next: ActivatedRouteSnapshot) {
    await this.systemTagsService.fetchTagsForRecord(
      next.data.tagType,
      next.params[next.data.idParam || 'id']
    );
  }
}
