import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { ManageSystemTagsPageComponent } from './manage-system-tags-page/manage-system-tags-page.component';
import { SystemTagsResolver } from './resolvers/system-tags.resolver';
import { SystemTagsModule } from './system-tags.module';

@NgModule({
  imports: [
    SystemTagsModule,
    RouterModule.forChild([{
      path: '',
      resolve: {
        tags: SystemTagsResolver,
        locale: LocaleResolver
      },
      data: {
        namespace: 'tags'
      },
      children: [{
        path: 'manage',
        component: ManageSystemTagsPageComponent,
        data: {
          breadcrumbLabel: 'System Tags',
          breadcrumb: true,
          pageName: 'System Tags'
        }
      }, {
        path: '',
        pathMatch: 'full',
        redirectTo: 'manage'
      }]
    }])
  ]
})
export class SystemTagsRoutingModule { }
