export namespace SystemTags {
  export enum Buckets {
    Global = 1,
    Application = 2,
    Nomination = 3,
    NonprofitProfile = 4,
    Payment = 5,
    Applicant = 6
  }

  export interface BaseEntityTag {
    active: boolean;
    tagId: number;
  }

  export interface EntityTag extends BaseEntityTag {
    id: number;
    tag: TagDefinition;
  }

  export interface BulkTagResponse extends EntityTag {
    applicationId: number;

  }

  export interface AddTagModalResult {
    tag: TagDefinition;
    reopenModal: boolean;
    wantsToConvert: boolean;
  }

  export interface InactiveModalResult {
    tag: TagDefinition;
    change: 'delete'|'Enable';
  }

  export enum TagColor {
    Blue = 'Blue',
    Green = 'Green',
    Red = 'Red',
    Yellow = 'Yellow'
  }

  export interface AddTagRequest {
    name: string;
    description: string;
    color: TagColor;
    tagBucketId: Buckets;
  }

  export interface UpdateTagRequest extends AddTagRequest {
    id: number;
  }
  export interface TagDefinition {
    id?: number;
    name: string;
    description: string;
    bucketId: Buckets;
    enabled: boolean;
    active: boolean;
    color: TagColor;
  }

  export interface TagBucket {
    id: number;
    name: string;
  }

  export interface TagBucketWithTags extends TagBucket {
    activeTags: TagDefinition[];
    inactiveTags: TagDefinition[];
  }

  export interface PaymentTag {
    id: number;
    tagId: number;
    paymentId: number;
    active: boolean;
    tag: {
      id: number;
      name: string;
      description: string;
      bucketId: number;
      enabled: boolean;
      active: boolean;
    };
  }
  export interface SetTags {
    [x: string]: string | number | {
        tagId: number;
        active: boolean;
    }[];
    tags: {
        tagId: number;
        active: boolean;
    }[];
  }
}

