import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LocaleResolver } from '@core/resolvers/locale.resolver';
import { UsersPageComponent } from './users-page/users-page.component';
import { UsersModule } from './users.module';


@NgModule({
  imports: [
    UsersModule,
    RouterModule.forChild([{
      path: '',
      component: UsersPageComponent,
      resolve: {
        locale: LocaleResolver
      },
      data: {
        namespace: ['USERS', 'ROLES'],
        pageName: 'Manage Users'
      }
    }])
  ]
})
export class UsersRoutingModule { }
