import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { WorkflowLevelAutomationService } from '../workflow-level-automation.service';

@Injectable({ providedIn: 'root' })
export class WorkflowLevelAutomationDetailResolver implements Resolve<void> {
  constructor (
    private workflowLevelAutomationService: WorkflowLevelAutomationService
  ) { }

  async resolve (
    next: ActivatedRouteSnapshot
  ) {
    await this.workflowLevelAutomationService.fetchDetail(
      next.params.id,
      !!next.data.isAdvancement
    );
  }
}
