import { Injectable } from '@angular/core';
import { WorkflowLevelAutomationResources } from './workflow-level-automation.resources';

@Injectable({ providedIn: 'root' })
export class WorkflowLevelAdvancementResources extends WorkflowLevelAutomationResources {
  protected apiBase = '/api/manager/WorkflowLevelRoutingAutomation';
  protected searchHistoryRuleSetParam = 'WorkflowLevelRoutingAutomationRuleSetId';


  getRulesFromWorkflowLevelFormId (
    formId: number,
    workflowId: number,
    workflowLevelId: number
  ) {
    return this.searchLevels({
      returnAll: true,
      rowsPerPage: 0,
      retrieveTotalRecordCount: false,
      orFilterColumns: [],
      pageNumber: 0,
      sortColumns: [{
        columnName: 'sequence',
        sortAscending: true
      }],
      filterColumns: [{
        columnName: 'formId',
        filters: [{
          filterType: 'eq',
          filterValue: formId
        }]
      }, {
        columnName: 'workflowId',
        filters: [{
          filterType: 'eq',
          filterValue: workflowId
        }]
      }, {
        columnName: 'workflowLevelId',
        filters: [{
          filterType: 'eq',
          filterValue: workflowLevelId
        }]
      }]
    });
  }
}
