import { WorkflowLevelAdvancementAPI } from '@core/typings/api/workflow-level-advancement.typing';
import { WorkflowLevelAutomationAPI } from '@core/typings/api/workflow-level-automation.typing';
import { Automation } from '@core/typings/ui/automation.typing';
import { DebounceFactory, SimpleStringMap, TableDataFactory } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class WorkflowLevelAutomationState extends BaseYcState {
  readonly WorkflowObjects: Automation.ObjectConfig<string, string>[];
  readonly workflowAutomationDetail: {
    [id: number]: WorkflowLevelAutomationAPI.WorkflowLevelAutomationRuleSetDetailModel;
  } = {};
  readonly workflowSequences: SimpleStringMap<WorkflowLevelAutomationAPI.WorkflowLevelAutomationRuleSetModel[]> = {};
  readonly assignmentTableDataFactory: TableDataFactory<WorkflowLevelAutomationAPI.WorkflowLevelAutomationRuleSetModel>;



  readonly WorkflowAdvancementObjects: Automation.ObjectConfig<string, string>[];
  readonly workflowAdvancementDetail: {
    [id: number]: WorkflowLevelAdvancementAPI.WorkflowLevelRoutingAutomationRuleSetDetailModel;
  } = {};
  readonly advancementWorkflowSequences: SimpleStringMap<WorkflowLevelAdvancementAPI.WorkflowLevelRoutingAutomationRuleSetDetailModel[]> = {};
  readonly advancementTableDataFactory: TableDataFactory<WorkflowLevelAdvancementAPI.WorkflowLevelRoutingAutomationRuleSetModel>;


  readonly workflowForms: {
    [workflowId: number]: WorkflowLevelAutomationAPI.WorkflowFormDisplay[];
  } = {};
  readonly assignmentHistoryTableDataFactory: DebounceFactory<WorkflowLevelAutomationAPI.WorkflowLevelAutomationApplication>;
  readonly routingHistoryTableDataFactory: DebounceFactory<WorkflowLevelAdvancementAPI.WorkflowLevelAutomationApplication>;
}
