import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { WorkflowService } from '../workflow.service';

@Injectable({ providedIn: 'root' })
export class WorkflowDetailResolver implements Resolve<void> {

  constructor (
    private workflowService: WorkflowService
  ) { }

  async resolve (next: ActivatedRouteSnapshot) {
    const id = next.params.id;
    await this.fetchDetail(id);
  }

  async fetchDetail (id: any) {
    if (id !== 'new') {
      await this.workflowService.getAndSetWorkflowMap(id, true);
    }
  }
}
