import { insertMissing } from '@yourcause/common/server';
import * as express from 'express';
export async function createApp (): Promise<express.Application> {
  const app = express();
  app.use((req, res, next) => {
    res.set('Access-Control-Allow-Origin', '*');
    next();
  });
  app.get('/InsertMissing', async (req, res, next) => {
    try {
      const {
        namespaceName,
        keyName,
        localeName,
        translation
      } = req.query as Record<string, string>;
      const result = await insertMissing(
        namespaceName,
        keyName,
        localeName,
        translation,
        !!process.env.NEW_I18N
      );
      res.send(result);
    } catch (e) {
      console.error(e);
      next(e);
    }
  });

  return app;
}
